Batch¶
Batch - Get Batch¶
HTTP Request
GET /api/batches/{id}
📋 Description: Retrieves detailed information about a specific batch within the Nakisa Portfolio Management Suite, enabling users to analyze portfolio and asset performance related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "startDate": "2019-08-24",
11 "endDate": "2019-08-24",
12 "postingDate": "2019-08-24",
13 "documentDate": "2019-08-24",
14 "preparedBy": "string",
15 "preparedDate": "2019-08-24",
16 "approvedBy": "string",
17 "approvedDate": "2019-08-24",
18 "executedBy": "string",
19 "executedDate": "2019-08-24",
20 "postingNote": "string",
21 "usePostingNote": true,
22 "statusId": 0,
23 "processingStatus": "PROCESSING",
24 "batchPreviewGenerationStatus": "NOT_STARTED",
25 "leaseIds": [
26 0
27 ],
28 "massProfileFilterIds": [
29 0
30 ],
31 "principalPositionType": "string",
32 "postingTransactionType": "string",
33 "reversalReasonType": "string",
34 "journalTypes": [
35 "string"
36 ],
37 "jobPostingStatuses": [
38 "string"
39 ],
40 "internalPostingDateType": "string",
41 "operationalPostingJobId": 0,
42 "jobComplete": true,
43 "approvedPaymentIds": [
44 0
45 ],
46 "approvedChargeIds": [
47 0
48 ],
49 "approvedProvisionIds": [
50 0
51 ],
52 "status": {
53 "createdBy": "string",
54 "lastModifiedBy": "string",
55 "createdDate": "2019-08-24T14:15:22Z",
56 "lastModifiedDate": "2019-08-24T14:15:22Z",
57 "archived": true,
58 "externalId": "string",
59 "id": 0,
60 "priority": 0,
61 "internalId": 0,
62 "pickListCode": "string",
63 "pickListLabel": "string",
64 "label": "string",
65 "cultureId": 0,
66 "labelDtos": [
67 {
68 "createdBy": "string",
69 "lastModifiedBy": "string",
70 "createdDate": "2019-08-24T14:15:22Z",
71 "lastModifiedDate": "2019-08-24T14:15:22Z",
72 "archived": true,
73 "externalId": "string",
74 "id": 0,
75 "cultureId": 0,
76 "value": "string"
77 }
78 ]
79 },
80 "massProfileFilters": [
81 {
82 "createdBy": "string",
83 "lastModifiedBy": "string",
84 "createdDate": "2019-08-24T14:15:22Z",
85 "lastModifiedDate": "2019-08-24T14:15:22Z",
86 "archived": true,
87 "externalId": "string",
88 "id": 0,
89 "name": "string",
90 "description": "string",
91 "leaseList": true,
92 "leaseIds": [
93 0
94 ],
95 "leases": [
96 {
97 "createdBy": "string",
98 "lastModifiedBy": "string",
99 "createdDate": "2019-08-24T14:15:22Z",
100 "lastModifiedDate": "2019-08-24T14:15:22Z",
101 "archived": true,
102 "externalId": "string",
103 "id": 0,
104 "typeId": 0,
105 "terminatingLease": "2019-08-24",
106 "maximumDateTo": "2019-08-24",
107 "number": "string",
108 "validFrom": "2019-08-24",
109 "validTo": "2019-08-24",
110 "categoryId": 0,
111 "registrationNumber": "string",
112 "statusId": 0,
113 "stateId": 0,
114 "calculateTax": true,
115 "autoMonthToMonth": true,
116 "originalLeaseId": 0,
117 "scenario": true,
118 "parentLeaseId": 0,
119 "areasHistoryVersionId": 0,
120 "provisioningFrequencyName": "string",
121 "accountingApproved": true,
122 "indexationType": "string",
123 "cpiGlobalCategoryId": 0,
124 "indexationReferenceDate": "2019-08-24",
125 "currentIndexLevel": 0.1,
126 "conditionallyIndexed": true,
127 "applicableCurrentIndexLevel": 0.1,
128 "indexLevelPercentageChangeLowerBound": 0.1,
129 "indexLevelPercentageChangeUpperBound": 0.1,
130 "indexationTypeNonLease": "string",
131 "cpiGlobalCategoryIdNonLease": 0,
132 "indexationReferenceDateNonLease": "2019-08-24",
133 "currentIndexLevelNonLease": 0.1,
134 "conditionallyIndexedNonLease": true,
135 "applicableCurrentIndexLevelNonLease": 0.1,
136 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
137 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
138 "signatureDate": "2019-08-24",
139 "premiseId": 0,
140 "type": {
141 "createdBy": "string",
142 "lastModifiedBy": "string",
143 "createdDate": "2019-08-24T14:15:22Z",
144 "lastModifiedDate": "2019-08-24T14:15:22Z",
145 "archived": true,
146 "externalId": "string",
147 "id": 0,
148 "priority": 0,
149 "internalId": 0,
150 "pickListCode": "string",
151 "pickListLabel": "string",
152 "label": "string",
153 "cultureId": 0,
154 "labelDtos": [
155 {
156 "createdBy": "string",
157 "lastModifiedBy": "string",
158 "createdDate": "2019-08-24T14:15:22Z",
159 "lastModifiedDate": "2019-08-24T14:15:22Z",
160 "archived": true,
161 "externalId": "string",
162 "id": 0,
163 "cultureId": 0,
164 "value": "string"
165 }
166 ]
167 },
168 "category": {
169 "createdBy": "string",
170 "lastModifiedBy": "string",
171 "createdDate": "2019-08-24T14:15:22Z",
172 "lastModifiedDate": "2019-08-24T14:15:22Z",
173 "archived": true,
174 "externalId": "string",
175 "id": 0,
176 "priority": 0,
177 "internalId": 0,
178 "pickListCode": "string",
179 "pickListLabel": "string",
180 "label": "string",
181 "cultureId": 0,
182 "labelDtos": [
183 {
184 "createdBy": "string",
185 "lastModifiedBy": "string",
186 "createdDate": "2019-08-24T14:15:22Z",
187 "lastModifiedDate": "2019-08-24T14:15:22Z",
188 "archived": true,
189 "externalId": "string",
190 "id": 0,
191 "cultureId": 0,
192 "value": "string"
193 }
194 ]
195 },
196 "status": {
197 "createdBy": "string",
198 "lastModifiedBy": "string",
199 "createdDate": "2019-08-24T14:15:22Z",
200 "lastModifiedDate": "2019-08-24T14:15:22Z",
201 "archived": true,
202 "externalId": "string",
203 "id": 0,
204 "priority": 0,
205 "internalId": 0,
206 "pickListCode": "string",
207 "pickListLabel": "string",
208 "label": "string",
209 "cultureId": 0,
210 "labelDtos": [
211 {
212 "createdBy": "string",
213 "lastModifiedBy": "string",
214 "createdDate": "2019-08-24T14:15:22Z",
215 "lastModifiedDate": "2019-08-24T14:15:22Z",
216 "archived": true,
217 "externalId": "string",
218 "id": 0,
219 "cultureId": 0,
220 "value": "string"
221 }
222 ]
223 },
224 "state": {
225 "createdBy": "string",
226 "lastModifiedBy": "string",
227 "createdDate": "2019-08-24T14:15:22Z",
228 "lastModifiedDate": "2019-08-24T14:15:22Z",
229 "archived": true,
230 "externalId": "string",
231 "id": 0,
232 "priority": 0,
233 "internalId": 0,
234 "pickListCode": "string",
235 "pickListLabel": "string",
236 "label": "string",
237 "cultureId": 0,
238 "labelDtos": [
239 {
240 "createdBy": "string",
241 "lastModifiedBy": "string",
242 "createdDate": "2019-08-24T14:15:22Z",
243 "lastModifiedDate": "2019-08-24T14:15:22Z",
244 "archived": true,
245 "externalId": "string",
246 "id": 0,
247 "cultureId": 0,
248 "value": "string"
249 }
250 ]
251 },
252 "version": {
253 "createdBy": "string",
254 "lastModifiedBy": "string",
255 "createdDate": "2019-08-24T14:15:22Z",
256 "lastModifiedDate": "2019-08-24T14:15:22Z",
257 "archived": true,
258 "externalId": "string",
259 "id": 0,
260 "name": "string",
261 "description": "string",
262 "modificationDate": "2019-08-24",
263 "updateContractRate": true,
264 "leaseEvent": {
265 "createdBy": "string",
266 "lastModifiedBy": "string",
267 "createdDate": "2019-08-24T14:15:22Z",
268 "lastModifiedDate": "2019-08-24T14:15:22Z",
269 "archived": true,
270 "externalId": "string",
271 "id": 0,
272 "typeId": 0,
273 "code": "string",
274 "reviewedBy": "string",
275 "reviewedDate": "2019-08-24",
276 "reviewedStatusId": 0,
277 "activityDate": "2019-08-24",
278 "relatedPickListOptionId": 0,
279 "detail": "string",
280 "note": {
281 "createdBy": "string",
282 "lastModifiedBy": "string",
283 "createdDate": "2019-08-24T14:15:22Z",
284 "lastModifiedDate": "2019-08-24T14:15:22Z",
285 "archived": true,
286 "externalId": "string",
287 "id": 0,
288 "message": "string",
289 "preserveOriginalAudit": true,
290 "originalCreatedBy": "string",
291 "originalCreatedDate": "2019-08-24T14:15:22Z",
292 "originalLastModifiedBy": "string",
293 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
294 },
295 "type": {
296 "createdBy": "string",
297 "lastModifiedBy": "string",
298 "createdDate": "2019-08-24T14:15:22Z",
299 "lastModifiedDate": "2019-08-24T14:15:22Z",
300 "archived": true,
301 "externalId": "string",
302 "id": 0,
303 "priority": 0,
304 "internalId": 0,
305 "pickListCode": "string",
306 "pickListLabel": "string",
307 "label": "string",
308 "cultureId": 0,
309 "labelDtos": [
310 {
311 "createdBy": "string",
312 "lastModifiedBy": "string",
313 "createdDate": "2019-08-24T14:15:22Z",
314 "lastModifiedDate": "2019-08-24T14:15:22Z",
315 "archived": true,
316 "externalId": "string",
317 "id": 0,
318 "cultureId": 0,
319 "value": "string"
320 }
321 ]
322 },
323 "reviewedStatus": {
324 "createdBy": "string",
325 "lastModifiedBy": "string",
326 "createdDate": "2019-08-24T14:15:22Z",
327 "lastModifiedDate": "2019-08-24T14:15:22Z",
328 "archived": true,
329 "externalId": "string",
330 "id": 0,
331 "priority": 0,
332 "internalId": 0,
333 "pickListCode": "string",
334 "pickListLabel": "string",
335 "label": "string",
336 "cultureId": 0,
337 "labelDtos": [
338 {
339 "createdBy": "string",
340 "lastModifiedBy": "string",
341 "createdDate": "2019-08-24T14:15:22Z",
342 "lastModifiedDate": "2019-08-24T14:15:22Z",
343 "archived": true,
344 "externalId": "string",
345 "id": 0,
346 "cultureId": 0,
347 "value": "string"
348 }
349 ]
350 },
351 "relatedPickListOption": {
352 "createdBy": "string",
353 "lastModifiedBy": "string",
354 "createdDate": "2019-08-24T14:15:22Z",
355 "lastModifiedDate": "2019-08-24T14:15:22Z",
356 "archived": true,
357 "externalId": "string",
358 "id": 0,
359 "priority": 0,
360 "internalId": 0,
361 "pickListCode": "string",
362 "pickListLabel": "string",
363 "label": "string",
364 "cultureId": 0,
365 "labelDtos": [
366 {
367 "createdBy": "string",
368 "lastModifiedBy": "string",
369 "createdDate": "2019-08-24T14:15:22Z",
370 "lastModifiedDate": "2019-08-24T14:15:22Z",
371 "archived": true,
372 "externalId": "string",
373 "id": 0,
374 "cultureId": 0,
375 "value": "string"
376 }
377 ]
378 },
379 "isVisiblePartnerPortal": true
380 },
381 "isVisibleVendorPortal": true,
382 "isTerminationVersion": true,
383 "terminationDate": "2019-08-24",
384 "penaltyAmount": 0.1,
385 "areasHistoryVersionId": 0
386 },
387 "premiseDto": {
388 "createdBy": "string",
389 "lastModifiedBy": "string",
390 "createdDate": "2019-08-24T14:15:22Z",
391 "lastModifiedDate": "2019-08-24T14:15:22Z",
392 "archived": true,
393 "externalId": "string",
394 "id": 0,
395 "number": "string",
396 "name": "string",
397 "headPremise": true,
398 "possessionDate": "2019-08-24",
399 "openingDate": "2019-08-24",
400 "closingDate": "2019-08-24",
401 "relocationDate": "2019-08-24",
402 "vacatingDate": "2019-08-24",
403 "expansionDate": "2019-08-24",
404 "statusId": 0,
405 "usageId": 0,
406 "parentPremiseId": 0,
407 "costCenterId": 0,
408 "profitCenterId": 0,
409 "legalEntityId": 0,
410 "occupancyIds": [
411 0
412 ],
413 "locationId": 0,
414 "locationDto": {
415 "createdBy": "string",
416 "lastModifiedBy": "string",
417 "createdDate": "2019-08-24T14:15:22Z",
418 "lastModifiedDate": "2019-08-24T14:15:22Z",
419 "archived": true,
420 "externalId": "string",
421 "id": 0,
422 "number": "string",
423 "name": "string",
424 "storeNumber": "string",
425 "defaultCurrencyId": 0,
426 "defaultMeasureId": 0,
427 "typeId": 0,
428 "qualityId": 0,
429 "propertyTypeId": 0,
430 "categoryId": 0,
431 "statusId": 0,
432 "businessUnitId": 0,
433 "groupIds": [
434 0
435 ],
436 "legalEntityIds": [
437 0
438 ],
439 "defaultCurrency": {
440 "id": 0,
441 "status": "CREATED",
442 "displayId": "string",
443 "erpSystemId": 0,
444 "erpSystemDisplayId": "string",
445 "name": "string",
446 "decimalPoints": 0,
447 "depreciationAreaId": 0
448 },
449 "defaultUnitValue": {
450 "createdBy": "string",
451 "lastModifiedBy": "string",
452 "createdDate": "2019-08-24T14:15:22Z",
453 "lastModifiedDate": "2019-08-24T14:15:22Z",
454 "archived": true,
455 "externalId": "string",
456 "id": 0,
457 "unitId": 0,
458 "unitOfMeasureId": 0,
459 "erpSystemId": 0,
460 "unit": {
461 "createdBy": "string",
462 "lastModifiedBy": "string",
463 "createdDate": "2019-08-24T14:15:22Z",
464 "lastModifiedDate": "2019-08-24T14:15:22Z",
465 "archived": true,
466 "externalId": "string",
467 "id": 0,
468 "priority": 0,
469 "internalId": 0,
470 "pickListCode": "string",
471 "pickListLabel": "string",
472 "label": "string",
473 "cultureId": 0,
474 "labelDtos": [
475 {}
476 ]
477 },
478 "unitOfMeasure": {
479 "id": 0,
480 "status": "CREATED",
481 "displayId": "string",
482 "erpSystemId": 0,
483 "erpSystemDisplayId": "string",
484 "name": "string"
485 }
486 },
487 "type": {
488 "createdBy": "string",
489 "lastModifiedBy": "string",
490 "createdDate": "2019-08-24T14:15:22Z",
491 "lastModifiedDate": "2019-08-24T14:15:22Z",
492 "archived": true,
493 "externalId": "string",
494 "id": 0,
495 "priority": 0,
496 "internalId": 0,
497 "pickListCode": "string",
498 "pickListLabel": "string",
499 "label": "string",
500 "cultureId": 0,
501 "labelDtos": [
502 {
503 "createdBy": "string",
504 "lastModifiedBy": "string",
505 "createdDate": "2019-08-24T14:15:22Z",
506 "lastModifiedDate": "2019-08-24T14:15:22Z",
507 "archived": true,
508 "externalId": "string",
509 "id": 0,
510 "cultureId": 0,
511 "value": "string"
512 }
513 ]
514 },
515 "quality": {
516 "createdBy": "string",
517 "lastModifiedBy": "string",
518 "createdDate": "2019-08-24T14:15:22Z",
519 "lastModifiedDate": "2019-08-24T14:15:22Z",
520 "archived": true,
521 "externalId": "string",
522 "id": 0,
523 "priority": 0,
524 "internalId": 0,
525 "pickListCode": "string",
526 "pickListLabel": "string",
527 "label": "string",
528 "cultureId": 0,
529 "labelDtos": [
530 {
531 "createdBy": "string",
532 "lastModifiedBy": "string",
533 "createdDate": "2019-08-24T14:15:22Z",
534 "lastModifiedDate": "2019-08-24T14:15:22Z",
535 "archived": true,
536 "externalId": "string",
537 "id": 0,
538 "cultureId": 0,
539 "value": "string"
540 }
541 ]
542 },
543 "propertyType": {
544 "createdBy": "string",
545 "lastModifiedBy": "string",
546 "createdDate": "2019-08-24T14:15:22Z",
547 "lastModifiedDate": "2019-08-24T14:15:22Z",
548 "archived": true,
549 "externalId": "string",
550 "id": 0,
551 "priority": 0,
552 "internalId": 0,
553 "pickListCode": "string",
554 "pickListLabel": "string",
555 "label": "string",
556 "cultureId": 0,
557 "labelDtos": [
558 {
559 "createdBy": "string",
560 "lastModifiedBy": "string",
561 "createdDate": "2019-08-24T14:15:22Z",
562 "lastModifiedDate": "2019-08-24T14:15:22Z",
563 "archived": true,
564 "externalId": "string",
565 "id": 0,
566 "cultureId": 0,
567 "value": "string"
568 }
569 ]
570 },
571 "category": {
572 "createdBy": "string",
573 "lastModifiedBy": "string",
574 "createdDate": "2019-08-24T14:15:22Z",
575 "lastModifiedDate": "2019-08-24T14:15:22Z",
576 "archived": true,
577 "externalId": "string",
578 "id": 0,
579 "priority": 0,
580 "internalId": 0,
581 "pickListCode": "string",
582 "pickListLabel": "string",
583 "label": "string",
584 "cultureId": 0,
585 "labelDtos": [
586 {
587 "createdBy": "string",
588 "lastModifiedBy": "string",
589 "createdDate": "2019-08-24T14:15:22Z",
590 "lastModifiedDate": "2019-08-24T14:15:22Z",
591 "archived": true,
592 "externalId": "string",
593 "id": 0,
594 "cultureId": 0,
595 "value": "string"
596 }
597 ]
598 },
599 "status": {
600 "createdBy": "string",
601 "lastModifiedBy": "string",
602 "createdDate": "2019-08-24T14:15:22Z",
603 "lastModifiedDate": "2019-08-24T14:15:22Z",
604 "archived": true,
605 "externalId": "string",
606 "id": 0,
607 "priority": 0,
608 "internalId": 0,
609 "pickListCode": "string",
610 "pickListLabel": "string",
611 "label": "string",
612 "cultureId": 0,
613 "labelDtos": [
614 {
615 "createdBy": "string",
616 "lastModifiedBy": "string",
617 "createdDate": "2019-08-24T14:15:22Z",
618 "lastModifiedDate": "2019-08-24T14:15:22Z",
619 "archived": true,
620 "externalId": "string",
621 "id": 0,
622 "cultureId": 0,
623 "value": "string"
624 }
625 ]
626 },
627 "addressDto": {
628 "createdBy": "string",
629 "lastModifiedBy": "string",
630 "createdDate": "2019-08-24T14:15:22Z",
631 "lastModifiedDate": "2019-08-24T14:15:22Z",
632 "archived": true,
633 "externalId": "string",
634 "id": 0,
635 "street": "string",
636 "civicNumber": "string",
637 "suite": "string",
638 "postalCode": "string",
639 "lon": 0.1,
640 "lat": 0.1,
641 "city": {
642 "createdBy": "string",
643 "lastModifiedBy": "string",
644 "createdDate": "2019-08-24T14:15:22Z",
645 "lastModifiedDate": "2019-08-24T14:15:22Z",
646 "archived": true,
647 "externalId": "string",
648 "id": 0,
649 "name": "string",
650 "province": {
651 "createdBy": "string",
652 "lastModifiedBy": "string",
653 "createdDate": "2019-08-24T14:15:22Z",
654 "lastModifiedDate": "2019-08-24T14:15:22Z",
655 "archived": true,
656 "externalId": "string",
657 "id": 0,
658 "name": "string",
659 "code": "string",
660 "country": {},
661 "provinceCountryKey": "string"
662 },
663 "cityProvinceCountryKey": "string"
664 },
665 "district": {
666 "createdBy": "string",
667 "lastModifiedBy": "string",
668 "createdDate": "2019-08-24T14:15:22Z",
669 "lastModifiedDate": "2019-08-24T14:15:22Z",
670 "archived": true,
671 "externalId": "string",
672 "id": 0,
673 "name": "string",
674 "city": {
675 "createdBy": "string",
676 "lastModifiedBy": "string",
677 "createdDate": "2019-08-24T14:15:22Z",
678 "lastModifiedDate": "2019-08-24T14:15:22Z",
679 "archived": true,
680 "externalId": "string",
681 "id": 0,
682 "name": "string",
683 "province": {},
684 "cityProvinceCountryKey": "string"
685 }
686 },
687 "cityId": 0,
688 "districtId": 0
689 },
690 "secondAddressDto": {
691 "createdBy": "string",
692 "lastModifiedBy": "string",
693 "createdDate": "2019-08-24T14:15:22Z",
694 "lastModifiedDate": "2019-08-24T14:15:22Z",
695 "archived": true,
696 "externalId": "string",
697 "id": 0,
698 "street": "string",
699 "civicNumber": "string",
700 "suite": "string",
701 "postalCode": "string",
702 "lon": 0.1,
703 "lat": 0.1,
704 "city": {
705 "createdBy": "string",
706 "lastModifiedBy": "string",
707 "createdDate": "2019-08-24T14:15:22Z",
708 "lastModifiedDate": "2019-08-24T14:15:22Z",
709 "archived": true,
710 "externalId": "string",
711 "id": 0,
712 "name": "string",
713 "province": {
714 "createdBy": "string",
715 "lastModifiedBy": "string",
716 "createdDate": "2019-08-24T14:15:22Z",
717 "lastModifiedDate": "2019-08-24T14:15:22Z",
718 "archived": true,
719 "externalId": "string",
720 "id": 0,
721 "name": "string",
722 "code": "string",
723 "country": {},
724 "provinceCountryKey": "string"
725 },
726 "cityProvinceCountryKey": "string"
727 },
728 "district": {
729 "createdBy": "string",
730 "lastModifiedBy": "string",
731 "createdDate": "2019-08-24T14:15:22Z",
732 "lastModifiedDate": "2019-08-24T14:15:22Z",
733 "archived": true,
734 "externalId": "string",
735 "id": 0,
736 "name": "string",
737 "city": {
738 "createdBy": "string",
739 "lastModifiedBy": "string",
740 "createdDate": "2019-08-24T14:15:22Z",
741 "lastModifiedDate": "2019-08-24T14:15:22Z",
742 "archived": true,
743 "externalId": "string",
744 "id": 0,
745 "name": "string",
746 "province": {},
747 "cityProvinceCountryKey": "string"
748 }
749 },
750 "cityId": 0,
751 "districtId": 0
752 }
753 },
754 "status": {
755 "createdBy": "string",
756 "lastModifiedBy": "string",
757 "createdDate": "2019-08-24T14:15:22Z",
758 "lastModifiedDate": "2019-08-24T14:15:22Z",
759 "archived": true,
760 "externalId": "string",
761 "id": 0,
762 "priority": 0,
763 "internalId": 0,
764 "pickListCode": "string",
765 "pickListLabel": "string",
766 "label": "string",
767 "cultureId": 0,
768 "labelDtos": [
769 {
770 "createdBy": "string",
771 "lastModifiedBy": "string",
772 "createdDate": "2019-08-24T14:15:22Z",
773 "lastModifiedDate": "2019-08-24T14:15:22Z",
774 "archived": true,
775 "externalId": "string",
776 "id": 0,
777 "cultureId": 0,
778 "value": "string"
779 }
780 ]
781 },
782 "usage": {
783 "createdBy": "string",
784 "lastModifiedBy": "string",
785 "createdDate": "2019-08-24T14:15:22Z",
786 "lastModifiedDate": "2019-08-24T14:15:22Z",
787 "archived": true,
788 "externalId": "string",
789 "id": 0,
790 "priority": 0,
791 "internalId": 0,
792 "pickListCode": "string",
793 "pickListLabel": "string",
794 "label": "string",
795 "cultureId": 0,
796 "labelDtos": [
797 {
798 "createdBy": "string",
799 "lastModifiedBy": "string",
800 "createdDate": "2019-08-24T14:15:22Z",
801 "lastModifiedDate": "2019-08-24T14:15:22Z",
802 "archived": true,
803 "externalId": "string",
804 "id": 0,
805 "cultureId": 0,
806 "value": "string"
807 }
808 ]
809 },
810 "occupanciesDto": [
811 {
812 "createdBy": "string",
813 "lastModifiedBy": "string",
814 "createdDate": "2019-08-24T14:15:22Z",
815 "lastModifiedDate": "2019-08-24T14:15:22Z",
816 "archived": true,
817 "externalId": "string",
818 "id": 0,
819 "priority": 0,
820 "internalId": 0,
821 "pickListCode": "string",
822 "pickListLabel": "string",
823 "label": "string",
824 "cultureId": 0,
825 "labelDtos": [
826 {
827 "createdBy": "string",
828 "lastModifiedBy": "string",
829 "createdDate": "2019-08-24T14:15:22Z",
830 "lastModifiedDate": "2019-08-24T14:15:22Z",
831 "archived": true,
832 "externalId": "string",
833 "id": 0,
834 "cultureId": 0,
835 "value": "string"
836 }
837 ]
838 }
839 ]
840 },
841 "isTerminationVersion": true
842 }
843 ],
844 "leaseFileNumbers": [
845 "string"
846 ],
847 "validFrom": "2019-08-24",
848 "validTo": "2019-08-24",
849 "cityIds": [
850 0
851 ],
852 "provinceIds": [
853 0
854 ],
855 "countryIds": [
856 0
857 ],
858 "premiseIds": [
859 0
860 ],
861 "locationIds": [
862 0
863 ],
864 "businessUnitIds": [
865 0
866 ],
867 "legalEntityIds": [
868 0
869 ],
870 "groupIds": [
871 "string"
872 ],
873 "groupOptionIds": [
874 0
875 ],
876 "masterAgreementIds": [
877 0
878 ],
879 "contractIds": [
880 0
881 ],
882 "statusIds": [
883 0
884 ],
885 "cities": [
886 {
887 "createdBy": "string",
888 "lastModifiedBy": "string",
889 "createdDate": "2019-08-24T14:15:22Z",
890 "lastModifiedDate": "2019-08-24T14:15:22Z",
891 "archived": true,
892 "externalId": "string",
893 "id": 0,
894 "name": "string",
895 "province": {
896 "createdBy": "string",
897 "lastModifiedBy": "string",
898 "createdDate": "2019-08-24T14:15:22Z",
899 "lastModifiedDate": "2019-08-24T14:15:22Z",
900 "archived": true,
901 "externalId": "string",
902 "id": 0,
903 "name": "string",
904 "country": {
905 "createdBy": "string",
906 "lastModifiedBy": "string",
907 "createdDate": "2019-08-24T14:15:22Z",
908 "lastModifiedDate": "2019-08-24T14:15:22Z",
909 "archived": true,
910 "externalId": "string",
911 "id": 0,
912 "name": "string",
913 "code": "string"
914 },
915 "code": "string",
916 "countryId": 0
917 },
918 "provinceId": 0
919 }
920 ],
921 "provinces": [
922 {
923 "createdBy": "string",
924 "lastModifiedBy": "string",
925 "createdDate": "2019-08-24T14:15:22Z",
926 "lastModifiedDate": "2019-08-24T14:15:22Z",
927 "archived": true,
928 "externalId": "string",
929 "id": 0,
930 "name": "string",
931 "country": {
932 "createdBy": "string",
933 "lastModifiedBy": "string",
934 "createdDate": "2019-08-24T14:15:22Z",
935 "lastModifiedDate": "2019-08-24T14:15:22Z",
936 "archived": true,
937 "externalId": "string",
938 "id": 0,
939 "name": "string",
940 "code": "string"
941 },
942 "code": "string",
943 "countryId": 0
944 }
945 ],
946 "countries": [
947 {
948 "createdBy": "string",
949 "lastModifiedBy": "string",
950 "createdDate": "2019-08-24T14:15:22Z",
951 "lastModifiedDate": "2019-08-24T14:15:22Z",
952 "archived": true,
953 "externalId": "string",
954 "id": 0,
955 "name": "string",
956 "code": "string"
957 }
958 ],
959 "locations": [
960 {
961 "createdBy": "string",
962 "lastModifiedBy": "string",
963 "createdDate": "2019-08-24T14:15:22Z",
964 "lastModifiedDate": "2019-08-24T14:15:22Z",
965 "archived": true,
966 "externalId": "string",
967 "id": 0,
968 "number": "string",
969 "name": "string",
970 "storeNumber": "string",
971 "defaultCurrencyId": 0,
972 "defaultMeasureId": 0,
973 "typeId": 0,
974 "qualityId": 0,
975 "propertyTypeId": 0,
976 "categoryId": 0,
977 "statusId": 0,
978 "businessUnitId": 0,
979 "groupIds": [
980 0
981 ],
982 "legalEntityIds": [
983 0
984 ],
985 "defaultCurrency": {
986 "id": 0,
987 "status": "CREATED",
988 "displayId": "string",
989 "erpSystemId": 0,
990 "erpSystemDisplayId": "string",
991 "name": "string",
992 "decimalPoints": 0,
993 "depreciationAreaId": 0
994 },
995 "defaultUnitValue": {
996 "createdBy": "string",
997 "lastModifiedBy": "string",
998 "createdDate": "2019-08-24T14:15:22Z",
999 "lastModifiedDate": "2019-08-24T14:15:22Z",
1000 "archived": true,
1001 "externalId": "string",
1002 "id": 0,
1003 "unitId": 0,
1004 "unitOfMeasureId": 0,
1005 "erpSystemId": 0,
1006 "unit": {
1007 "createdBy": "string",
1008 "lastModifiedBy": "string",
1009 "createdDate": "2019-08-24T14:15:22Z",
1010 "lastModifiedDate": "2019-08-24T14:15:22Z",
1011 "archived": true,
1012 "externalId": "string",
1013 "id": 0,
1014 "priority": 0,
1015 "internalId": 0,
1016 "pickListCode": "string",
1017 "pickListLabel": "string",
1018 "label": "string",
1019 "cultureId": 0,
1020 "labelDtos": [
1021 {
1022 "createdBy": "string",
1023 "lastModifiedBy": "string",
1024 "createdDate": "2019-08-24T14:15:22Z",
1025 "lastModifiedDate": "2019-08-24T14:15:22Z",
1026 "archived": true,
1027 "externalId": "string",
1028 "id": 0,
1029 "cultureId": 0,
1030 "value": "string"
1031 }
1032 ]
1033 },
1034 "unitOfMeasure": {
1035 "id": 0,
1036 "status": "CREATED",
1037 "displayId": "string",
1038 "erpSystemId": 0,
1039 "erpSystemDisplayId": "string",
1040 "name": "string"
1041 }
1042 },
1043 "type": {
1044 "createdBy": "string",
1045 "lastModifiedBy": "string",
1046 "createdDate": "2019-08-24T14:15:22Z",
1047 "lastModifiedDate": "2019-08-24T14:15:22Z",
1048 "archived": true,
1049 "externalId": "string",
1050 "id": 0,
1051 "priority": 0,
1052 "internalId": 0,
1053 "pickListCode": "string",
1054 "pickListLabel": "string",
1055 "label": "string",
1056 "cultureId": 0,
1057 "labelDtos": [
1058 {
1059 "createdBy": "string",
1060 "lastModifiedBy": "string",
1061 "createdDate": "2019-08-24T14:15:22Z",
1062 "lastModifiedDate": "2019-08-24T14:15:22Z",
1063 "archived": true,
1064 "externalId": "string",
1065 "id": 0,
1066 "cultureId": 0,
1067 "value": "string"
1068 }
1069 ]
1070 },
1071 "quality": {
1072 "createdBy": "string",
1073 "lastModifiedBy": "string",
1074 "createdDate": "2019-08-24T14:15:22Z",
1075 "lastModifiedDate": "2019-08-24T14:15:22Z",
1076 "archived": true,
1077 "externalId": "string",
1078 "id": 0,
1079 "priority": 0,
1080 "internalId": 0,
1081 "pickListCode": "string",
1082 "pickListLabel": "string",
1083 "label": "string",
1084 "cultureId": 0,
1085 "labelDtos": [
1086 {
1087 "createdBy": "string",
1088 "lastModifiedBy": "string",
1089 "createdDate": "2019-08-24T14:15:22Z",
1090 "lastModifiedDate": "2019-08-24T14:15:22Z",
1091 "archived": true,
1092 "externalId": "string",
1093 "id": 0,
1094 "cultureId": 0,
1095 "value": "string"
1096 }
1097 ]
1098 },
1099 "propertyType": {
1100 "createdBy": "string",
1101 "lastModifiedBy": "string",
1102 "createdDate": "2019-08-24T14:15:22Z",
1103 "lastModifiedDate": "2019-08-24T14:15:22Z",
1104 "archived": true,
1105 "externalId": "string",
1106 "id": 0,
1107 "priority": 0,
1108 "internalId": 0,
1109 "pickListCode": "string",
1110 "pickListLabel": "string",
1111 "label": "string",
1112 "cultureId": 0,
1113 "labelDtos": [
1114 {
1115 "createdBy": "string",
1116 "lastModifiedBy": "string",
1117 "createdDate": "2019-08-24T14:15:22Z",
1118 "lastModifiedDate": "2019-08-24T14:15:22Z",
1119 "archived": true,
1120 "externalId": "string",
1121 "id": 0,
1122 "cultureId": 0,
1123 "value": "string"
1124 }
1125 ]
1126 },
1127 "category": {
1128 "createdBy": "string",
1129 "lastModifiedBy": "string",
1130 "createdDate": "2019-08-24T14:15:22Z",
1131 "lastModifiedDate": "2019-08-24T14:15:22Z",
1132 "archived": true,
1133 "externalId": "string",
1134 "id": 0,
1135 "priority": 0,
1136 "internalId": 0,
1137 "pickListCode": "string",
1138 "pickListLabel": "string",
1139 "label": "string",
1140 "cultureId": 0,
1141 "labelDtos": [
1142 {
1143 "createdBy": "string",
1144 "lastModifiedBy": "string",
1145 "createdDate": "2019-08-24T14:15:22Z",
1146 "lastModifiedDate": "2019-08-24T14:15:22Z",
1147 "archived": true,
1148 "externalId": "string",
1149 "id": 0,
1150 "cultureId": 0,
1151 "value": "string"
1152 }
1153 ]
1154 },
1155 "status": {
1156 "createdBy": "string",
1157 "lastModifiedBy": "string",
1158 "createdDate": "2019-08-24T14:15:22Z",
1159 "lastModifiedDate": "2019-08-24T14:15:22Z",
1160 "archived": true,
1161 "externalId": "string",
1162 "id": 0,
1163 "priority": 0,
1164 "internalId": 0,
1165 "pickListCode": "string",
1166 "pickListLabel": "string",
1167 "label": "string",
1168 "cultureId": 0,
1169 "labelDtos": [
1170 {
1171 "createdBy": "string",
1172 "lastModifiedBy": "string",
1173 "createdDate": "2019-08-24T14:15:22Z",
1174 "lastModifiedDate": "2019-08-24T14:15:22Z",
1175 "archived": true,
1176 "externalId": "string",
1177 "id": 0,
1178 "cultureId": 0,
1179 "value": "string"
1180 }
1181 ]
1182 },
1183 "addressDto": {
1184 "createdBy": "string",
1185 "lastModifiedBy": "string",
1186 "createdDate": "2019-08-24T14:15:22Z",
1187 "lastModifiedDate": "2019-08-24T14:15:22Z",
1188 "archived": true,
1189 "externalId": "string",
1190 "id": 0,
1191 "street": "string",
1192 "civicNumber": "string",
1193 "suite": "string",
1194 "postalCode": "string",
1195 "lon": 0.1,
1196 "lat": 0.1,
1197 "city": {
1198 "createdBy": "string",
1199 "lastModifiedBy": "string",
1200 "createdDate": "2019-08-24T14:15:22Z",
1201 "lastModifiedDate": "2019-08-24T14:15:22Z",
1202 "archived": true,
1203 "externalId": "string",
1204 "id": 0,
1205 "name": "string",
1206 "province": {
1207 "createdBy": "string",
1208 "lastModifiedBy": "string",
1209 "createdDate": "2019-08-24T14:15:22Z",
1210 "lastModifiedDate": "2019-08-24T14:15:22Z",
1211 "archived": true,
1212 "externalId": "string",
1213 "id": 0,
1214 "name": "string",
1215 "code": "string",
1216 "country": {
1217 "createdBy": "string",
1218 "lastModifiedBy": "string",
1219 "createdDate": "2019-08-24T14:15:22Z",
1220 "lastModifiedDate": "2019-08-24T14:15:22Z",
1221 "archived": true,
1222 "externalId": "string",
1223 "id": 0,
1224 "name": "string",
1225 "code": "string"
1226 },
1227 "provinceCountryKey": "string"
1228 },
1229 "cityProvinceCountryKey": "string"
1230 },
1231 "district": {
1232 "createdBy": "string",
1233 "lastModifiedBy": "string",
1234 "createdDate": "2019-08-24T14:15:22Z",
1235 "lastModifiedDate": "2019-08-24T14:15:22Z",
1236 "archived": true,
1237 "externalId": "string",
1238 "id": 0,
1239 "name": "string",
1240 "city": {
1241 "createdBy": "string",
1242 "lastModifiedBy": "string",
1243 "createdDate": "2019-08-24T14:15:22Z",
1244 "lastModifiedDate": "2019-08-24T14:15:22Z",
1245 "archived": true,
1246 "externalId": "string",
1247 "id": 0,
1248 "name": "string",
1249 "province": {
1250 "createdBy": "string",
1251 "lastModifiedBy": "string",
1252 "createdDate": "2019-08-24T14:15:22Z",
1253 "lastModifiedDate": "2019-08-24T14:15:22Z",
1254 "archived": true,
1255 "externalId": "string",
1256 "id": 0,
1257 "name": "string",
1258 "code": "string",
1259 "country": {
1260 "createdBy": "string",
1261 "lastModifiedBy": "string",
1262 "createdDate": "2019-08-24T14:15:22Z",
1263 "lastModifiedDate": "2019-08-24T14:15:22Z",
1264 "archived": true,
1265 "externalId": "string",
1266 "id": 0,
1267 "name": "string",
1268 "code": "string"
1269 },
1270 "provinceCountryKey": "string"
1271 },
1272 "cityProvinceCountryKey": "string"
1273 }
1274 },
1275 "cityId": 0,
1276 "districtId": 0
1277 },
1278 "secondAddressDto": {
1279 "createdBy": "string",
1280 "lastModifiedBy": "string",
1281 "createdDate": "2019-08-24T14:15:22Z",
1282 "lastModifiedDate": "2019-08-24T14:15:22Z",
1283 "archived": true,
1284 "externalId": "string",
1285 "id": 0,
1286 "street": "string",
1287 "civicNumber": "string",
1288 "suite": "string",
1289 "postalCode": "string",
1290 "lon": 0.1,
1291 "lat": 0.1,
1292 "city": {
1293 "createdBy": "string",
1294 "lastModifiedBy": "string",
1295 "createdDate": "2019-08-24T14:15:22Z",
1296 "lastModifiedDate": "2019-08-24T14:15:22Z",
1297 "archived": true,
1298 "externalId": "string",
1299 "id": 0,
1300 "name": "string",
1301 "province": {
1302 "createdBy": "string",
1303 "lastModifiedBy": "string",
1304 "createdDate": "2019-08-24T14:15:22Z",
1305 "lastModifiedDate": "2019-08-24T14:15:22Z",
1306 "archived": true,
1307 "externalId": "string",
1308 "id": 0,
1309 "name": "string",
1310 "code": "string",
1311 "country": {
1312 "createdBy": "string",
1313 "lastModifiedBy": "string",
1314 "createdDate": "2019-08-24T14:15:22Z",
1315 "lastModifiedDate": "2019-08-24T14:15:22Z",
1316 "archived": true,
1317 "externalId": "string",
1318 "id": 0,
1319 "name": "string",
1320 "code": "string"
1321 },
1322 "provinceCountryKey": "string"
1323 },
1324 "cityProvinceCountryKey": "string"
1325 },
1326 "district": {
1327 "createdBy": "string",
1328 "lastModifiedBy": "string",
1329 "createdDate": "2019-08-24T14:15:22Z",
1330 "lastModifiedDate": "2019-08-24T14:15:22Z",
1331 "archived": true,
1332 "externalId": "string",
1333 "id": 0,
1334 "name": "string",
1335 "city": {
1336 "createdBy": "string",
1337 "lastModifiedBy": "string",
1338 "createdDate": "2019-08-24T14:15:22Z",
1339 "lastModifiedDate": "2019-08-24T14:15:22Z",
1340 "archived": true,
1341 "externalId": "string",
1342 "id": 0,
1343 "name": "string",
1344 "province": {
1345 "createdBy": "string",
1346 "lastModifiedBy": "string",
1347 "createdDate": "2019-08-24T14:15:22Z",
1348 "lastModifiedDate": "2019-08-24T14:15:22Z",
1349 "archived": true,
1350 "externalId": "string",
1351 "id": 0,
1352 "name": "string",
1353 "code": "string",
1354 "country": {
1355 "createdBy": "string",
1356 "lastModifiedBy": "string",
1357 "createdDate": "2019-08-24T14:15:22Z",
1358 "lastModifiedDate": "2019-08-24T14:15:22Z",
1359 "archived": true,
1360 "externalId": "string",
1361 "id": 0,
1362 "name": "string",
1363 "code": "string"
1364 },
1365 "provinceCountryKey": "string"
1366 },
1367 "cityProvinceCountryKey": "string"
1368 }
1369 },
1370 "cityId": 0,
1371 "districtId": 0
1372 }
1373 }
1374 ],
1375 "premises": [
1376 {
1377 "createdBy": "string",
1378 "lastModifiedBy": "string",
1379 "createdDate": "2019-08-24T14:15:22Z",
1380 "lastModifiedDate": "2019-08-24T14:15:22Z",
1381 "archived": true,
1382 "externalId": "string",
1383 "id": 0,
1384 "number": "string",
1385 "name": "string",
1386 "headPremise": true,
1387 "possessionDate": "2019-08-24",
1388 "openingDate": "2019-08-24",
1389 "closingDate": "2019-08-24",
1390 "relocationDate": "2019-08-24",
1391 "vacatingDate": "2019-08-24",
1392 "expansionDate": "2019-08-24",
1393 "statusId": 0,
1394 "usageId": 0,
1395 "parentPremiseId": 0,
1396 "costCenterId": 0,
1397 "profitCenterId": 0,
1398 "legalEntityId": 0,
1399 "occupancyIds": [
1400 0
1401 ],
1402 "locationId": 0,
1403 "locationDto": {
1404 "createdBy": "string",
1405 "lastModifiedBy": "string",
1406 "createdDate": "2019-08-24T14:15:22Z",
1407 "lastModifiedDate": "2019-08-24T14:15:22Z",
1408 "archived": true,
1409 "externalId": "string",
1410 "id": 0,
1411 "number": "string",
1412 "name": "string",
1413 "storeNumber": "string",
1414 "defaultCurrencyId": 0,
1415 "defaultMeasureId": 0,
1416 "typeId": 0,
1417 "qualityId": 0,
1418 "propertyTypeId": 0,
1419 "categoryId": 0,
1420 "statusId": 0,
1421 "businessUnitId": 0,
1422 "groupIds": [
1423 0
1424 ],
1425 "legalEntityIds": [
1426 0
1427 ],
1428 "defaultCurrency": {
1429 "id": 0,
1430 "status": "CREATED",
1431 "displayId": "string",
1432 "erpSystemId": 0,
1433 "erpSystemDisplayId": "string",
1434 "name": "string",
1435 "decimalPoints": 0,
1436 "depreciationAreaId": 0
1437 },
1438 "defaultUnitValue": {
1439 "createdBy": "string",
1440 "lastModifiedBy": "string",
1441 "createdDate": "2019-08-24T14:15:22Z",
1442 "lastModifiedDate": "2019-08-24T14:15:22Z",
1443 "archived": true,
1444 "externalId": "string",
1445 "id": 0,
1446 "unitId": 0,
1447 "unitOfMeasureId": 0,
1448 "erpSystemId": 0,
1449 "unit": {
1450 "createdBy": "string",
1451 "lastModifiedBy": "string",
1452 "createdDate": "2019-08-24T14:15:22Z",
1453 "lastModifiedDate": "2019-08-24T14:15:22Z",
1454 "archived": true,
1455 "externalId": "string",
1456 "id": 0,
1457 "priority": 0,
1458 "internalId": 0,
1459 "pickListCode": "string",
1460 "pickListLabel": "string",
1461 "label": "string",
1462 "cultureId": 0,
1463 "labelDtos": [
1464 {
1465 "createdBy": "string",
1466 "lastModifiedBy": "string",
1467 "createdDate": "2019-08-24T14:15:22Z",
1468 "lastModifiedDate": "2019-08-24T14:15:22Z",
1469 "archived": true,
1470 "externalId": "string",
1471 "id": 0,
1472 "cultureId": 0,
1473 "value": "string"
1474 }
1475 ]
1476 },
1477 "unitOfMeasure": {
1478 "id": 0,
1479 "status": "CREATED",
1480 "displayId": "string",
1481 "erpSystemId": 0,
1482 "erpSystemDisplayId": "string",
1483 "name": "string"
1484 }
1485 },
1486 "type": {
1487 "createdBy": "string",
1488 "lastModifiedBy": "string",
1489 "createdDate": "2019-08-24T14:15:22Z",
1490 "lastModifiedDate": "2019-08-24T14:15:22Z",
1491 "archived": true,
1492 "externalId": "string",
1493 "id": 0,
1494 "priority": 0,
1495 "internalId": 0,
1496 "pickListCode": "string",
1497 "pickListLabel": "string",
1498 "label": "string",
1499 "cultureId": 0,
1500 "labelDtos": [
1501 {
1502 "createdBy": "string",
1503 "lastModifiedBy": "string",
1504 "createdDate": "2019-08-24T14:15:22Z",
1505 "lastModifiedDate": "2019-08-24T14:15:22Z",
1506 "archived": true,
1507 "externalId": "string",
1508 "id": 0,
1509 "cultureId": 0,
1510 "value": "string"
1511 }
1512 ]
1513 },
1514 "quality": {
1515 "createdBy": "string",
1516 "lastModifiedBy": "string",
1517 "createdDate": "2019-08-24T14:15:22Z",
1518 "lastModifiedDate": "2019-08-24T14:15:22Z",
1519 "archived": true,
1520 "externalId": "string",
1521 "id": 0,
1522 "priority": 0,
1523 "internalId": 0,
1524 "pickListCode": "string",
1525 "pickListLabel": "string",
1526 "label": "string",
1527 "cultureId": 0,
1528 "labelDtos": [
1529 {
1530 "createdBy": "string",
1531 "lastModifiedBy": "string",
1532 "createdDate": "2019-08-24T14:15:22Z",
1533 "lastModifiedDate": "2019-08-24T14:15:22Z",
1534 "archived": true,
1535 "externalId": "string",
1536 "id": 0,
1537 "cultureId": 0,
1538 "value": "string"
1539 }
1540 ]
1541 },
1542 "propertyType": {
1543 "createdBy": "string",
1544 "lastModifiedBy": "string",
1545 "createdDate": "2019-08-24T14:15:22Z",
1546 "lastModifiedDate": "2019-08-24T14:15:22Z",
1547 "archived": true,
1548 "externalId": "string",
1549 "id": 0,
1550 "priority": 0,
1551 "internalId": 0,
1552 "pickListCode": "string",
1553 "pickListLabel": "string",
1554 "label": "string",
1555 "cultureId": 0,
1556 "labelDtos": [
1557 {
1558 "createdBy": "string",
1559 "lastModifiedBy": "string",
1560 "createdDate": "2019-08-24T14:15:22Z",
1561 "lastModifiedDate": "2019-08-24T14:15:22Z",
1562 "archived": true,
1563 "externalId": "string",
1564 "id": 0,
1565 "cultureId": 0,
1566 "value": "string"
1567 }
1568 ]
1569 },
1570 "category": {
1571 "createdBy": "string",
1572 "lastModifiedBy": "string",
1573 "createdDate": "2019-08-24T14:15:22Z",
1574 "lastModifiedDate": "2019-08-24T14:15:22Z",
1575 "archived": true,
1576 "externalId": "string",
1577 "id": 0,
1578 "priority": 0,
1579 "internalId": 0,
1580 "pickListCode": "string",
1581 "pickListLabel": "string",
1582 "label": "string",
1583 "cultureId": 0,
1584 "labelDtos": [
1585 {
1586 "createdBy": "string",
1587 "lastModifiedBy": "string",
1588 "createdDate": "2019-08-24T14:15:22Z",
1589 "lastModifiedDate": "2019-08-24T14:15:22Z",
1590 "archived": true,
1591 "externalId": "string",
1592 "id": 0,
1593 "cultureId": 0,
1594 "value": "string"
1595 }
1596 ]
1597 },
1598 "status": {
1599 "createdBy": "string",
1600 "lastModifiedBy": "string",
1601 "createdDate": "2019-08-24T14:15:22Z",
1602 "lastModifiedDate": "2019-08-24T14:15:22Z",
1603 "archived": true,
1604 "externalId": "string",
1605 "id": 0,
1606 "priority": 0,
1607 "internalId": 0,
1608 "pickListCode": "string",
1609 "pickListLabel": "string",
1610 "label": "string",
1611 "cultureId": 0,
1612 "labelDtos": [
1613 {
1614 "createdBy": "string",
1615 "lastModifiedBy": "string",
1616 "createdDate": "2019-08-24T14:15:22Z",
1617 "lastModifiedDate": "2019-08-24T14:15:22Z",
1618 "archived": true,
1619 "externalId": "string",
1620 "id": 0,
1621 "cultureId": 0,
1622 "value": "string"
1623 }
1624 ]
1625 },
1626 "addressDto": {
1627 "createdBy": "string",
1628 "lastModifiedBy": "string",
1629 "createdDate": "2019-08-24T14:15:22Z",
1630 "lastModifiedDate": "2019-08-24T14:15:22Z",
1631 "archived": true,
1632 "externalId": "string",
1633 "id": 0,
1634 "street": "string",
1635 "civicNumber": "string",
1636 "suite": "string",
1637 "postalCode": "string",
1638 "lon": 0.1,
1639 "lat": 0.1,
1640 "city": {
1641 "createdBy": "string",
1642 "lastModifiedBy": "string",
1643 "createdDate": "2019-08-24T14:15:22Z",
1644 "lastModifiedDate": "2019-08-24T14:15:22Z",
1645 "archived": true,
1646 "externalId": "string",
1647 "id": 0,
1648 "name": "string",
1649 "province": {
1650 "createdBy": "string",
1651 "lastModifiedBy": "string",
1652 "createdDate": "2019-08-24T14:15:22Z",
1653 "lastModifiedDate": "2019-08-24T14:15:22Z",
1654 "archived": true,
1655 "externalId": "string",
1656 "id": 0,
1657 "name": "string",
1658 "code": "string",
1659 "country": {
1660 "createdBy": "string",
1661 "lastModifiedBy": "string",
1662 "createdDate": "2019-08-24T14:15:22Z",
1663 "lastModifiedDate": "2019-08-24T14:15:22Z",
1664 "archived": true,
1665 "externalId": "string",
1666 "id": 0,
1667 "name": "string",
1668 "code": "string"
1669 },
1670 "provinceCountryKey": "string"
1671 },
1672 "cityProvinceCountryKey": "string"
1673 },
1674 "district": {
1675 "createdBy": "string",
1676 "lastModifiedBy": "string",
1677 "createdDate": "2019-08-24T14:15:22Z",
1678 "lastModifiedDate": "2019-08-24T14:15:22Z",
1679 "archived": true,
1680 "externalId": "string",
1681 "id": 0,
1682 "name": "string",
1683 "city": {
1684 "createdBy": "string",
1685 "lastModifiedBy": "string",
1686 "createdDate": "2019-08-24T14:15:22Z",
1687 "lastModifiedDate": "2019-08-24T14:15:22Z",
1688 "archived": true,
1689 "externalId": "string",
1690 "id": 0,
1691 "name": "string",
1692 "province": {
1693 "createdBy": "string",
1694 "lastModifiedBy": "string",
1695 "createdDate": "2019-08-24T14:15:22Z",
1696 "lastModifiedDate": "2019-08-24T14:15:22Z",
1697 "archived": true,
1698 "externalId": "string",
1699 "id": 0,
1700 "name": "string",
1701 "code": "string",
1702 "country": {},
1703 "provinceCountryKey": "string"
1704 },
1705 "cityProvinceCountryKey": "string"
1706 }
1707 },
1708 "cityId": 0,
1709 "districtId": 0
1710 },
1711 "secondAddressDto": {
1712 "createdBy": "string",
1713 "lastModifiedBy": "string",
1714 "createdDate": "2019-08-24T14:15:22Z",
1715 "lastModifiedDate": "2019-08-24T14:15:22Z",
1716 "archived": true,
1717 "externalId": "string",
1718 "id": 0,
1719 "street": "string",
1720 "civicNumber": "string",
1721 "suite": "string",
1722 "postalCode": "string",
1723 "lon": 0.1,
1724 "lat": 0.1,
1725 "city": {
1726 "createdBy": "string",
1727 "lastModifiedBy": "string",
1728 "createdDate": "2019-08-24T14:15:22Z",
1729 "lastModifiedDate": "2019-08-24T14:15:22Z",
1730 "archived": true,
1731 "externalId": "string",
1732 "id": 0,
1733 "name": "string",
1734 "province": {
1735 "createdBy": "string",
1736 "lastModifiedBy": "string",
1737 "createdDate": "2019-08-24T14:15:22Z",
1738 "lastModifiedDate": "2019-08-24T14:15:22Z",
1739 "archived": true,
1740 "externalId": "string",
1741 "id": 0,
1742 "name": "string",
1743 "code": "string",
1744 "country": {
1745 "createdBy": "string",
1746 "lastModifiedBy": "string",
1747 "createdDate": "2019-08-24T14:15:22Z",
1748 "lastModifiedDate": "2019-08-24T14:15:22Z",
1749 "archived": true,
1750 "externalId": "string",
1751 "id": 0,
1752 "name": "string",
1753 "code": "string"
1754 },
1755 "provinceCountryKey": "string"
1756 },
1757 "cityProvinceCountryKey": "string"
1758 },
1759 "district": {
1760 "createdBy": "string",
1761 "lastModifiedBy": "string",
1762 "createdDate": "2019-08-24T14:15:22Z",
1763 "lastModifiedDate": "2019-08-24T14:15:22Z",
1764 "archived": true,
1765 "externalId": "string",
1766 "id": 0,
1767 "name": "string",
1768 "city": {
1769 "createdBy": "string",
1770 "lastModifiedBy": "string",
1771 "createdDate": "2019-08-24T14:15:22Z",
1772 "lastModifiedDate": "2019-08-24T14:15:22Z",
1773 "archived": true,
1774 "externalId": "string",
1775 "id": 0,
1776 "name": "string",
1777 "province": {
1778 "createdBy": "string",
1779 "lastModifiedBy": "string",
1780 "createdDate": "2019-08-24T14:15:22Z",
1781 "lastModifiedDate": "2019-08-24T14:15:22Z",
1782 "archived": true,
1783 "externalId": "string",
1784 "id": 0,
1785 "name": "string",
1786 "code": "string",
1787 "country": {},
1788 "provinceCountryKey": "string"
1789 },
1790 "cityProvinceCountryKey": "string"
1791 }
1792 },
1793 "cityId": 0,
1794 "districtId": 0
1795 }
1796 },
1797 "status": {
1798 "createdBy": "string",
1799 "lastModifiedBy": "string",
1800 "createdDate": "2019-08-24T14:15:22Z",
1801 "lastModifiedDate": "2019-08-24T14:15:22Z",
1802 "archived": true,
1803 "externalId": "string",
1804 "id": 0,
1805 "priority": 0,
1806 "internalId": 0,
1807 "pickListCode": "string",
1808 "pickListLabel": "string",
1809 "label": "string",
1810 "cultureId": 0,
1811 "labelDtos": [
1812 {
1813 "createdBy": "string",
1814 "lastModifiedBy": "string",
1815 "createdDate": "2019-08-24T14:15:22Z",
1816 "lastModifiedDate": "2019-08-24T14:15:22Z",
1817 "archived": true,
1818 "externalId": "string",
1819 "id": 0,
1820 "cultureId": 0,
1821 "value": "string"
1822 }
1823 ]
1824 },
1825 "usage": {
1826 "createdBy": "string",
1827 "lastModifiedBy": "string",
1828 "createdDate": "2019-08-24T14:15:22Z",
1829 "lastModifiedDate": "2019-08-24T14:15:22Z",
1830 "archived": true,
1831 "externalId": "string",
1832 "id": 0,
1833 "priority": 0,
1834 "internalId": 0,
1835 "pickListCode": "string",
1836 "pickListLabel": "string",
1837 "label": "string",
1838 "cultureId": 0,
1839 "labelDtos": [
1840 {
1841 "createdBy": "string",
1842 "lastModifiedBy": "string",
1843 "createdDate": "2019-08-24T14:15:22Z",
1844 "lastModifiedDate": "2019-08-24T14:15:22Z",
1845 "archived": true,
1846 "externalId": "string",
1847 "id": 0,
1848 "cultureId": 0,
1849 "value": "string"
1850 }
1851 ]
1852 },
1853 "occupanciesDto": [
1854 {
1855 "createdBy": "string",
1856 "lastModifiedBy": "string",
1857 "createdDate": "2019-08-24T14:15:22Z",
1858 "lastModifiedDate": "2019-08-24T14:15:22Z",
1859 "archived": true,
1860 "externalId": "string",
1861 "id": 0,
1862 "priority": 0,
1863 "internalId": 0,
1864 "pickListCode": "string",
1865 "pickListLabel": "string",
1866 "label": "string",
1867 "cultureId": 0,
1868 "labelDtos": [
1869 {
1870 "createdBy": "string",
1871 "lastModifiedBy": "string",
1872 "createdDate": "2019-08-24T14:15:22Z",
1873 "lastModifiedDate": "2019-08-24T14:15:22Z",
1874 "archived": true,
1875 "externalId": "string",
1876 "id": 0,
1877 "cultureId": 0,
1878 "value": "string"
1879 }
1880 ]
1881 }
1882 ]
1883 }
1884 ],
1885 "groups": [
1886 {
1887 "createdBy": "string",
1888 "lastModifiedBy": "string",
1889 "createdDate": "2019-08-24T14:15:22Z",
1890 "lastModifiedDate": "2019-08-24T14:15:22Z",
1891 "archived": true,
1892 "externalId": "string",
1893 "id": "string",
1894 "code": "string",
1895 "priority": 0,
1896 "pickListType": "string",
1897 "label": "string",
1898 "cultureId": 0,
1899 "reportable": true,
1900 "labelDtos": [
1901 {
1902 "createdBy": "string",
1903 "lastModifiedBy": "string",
1904 "createdDate": "2019-08-24T14:15:22Z",
1905 "lastModifiedDate": "2019-08-24T14:15:22Z",
1906 "archived": true,
1907 "externalId": "string",
1908 "id": 0,
1909 "cultureId": 0,
1910 "value": "string"
1911 }
1912 ]
1913 }
1914 ],
1915 "groupOptions": [
1916 {
1917 "createdBy": "string",
1918 "lastModifiedBy": "string",
1919 "createdDate": "2019-08-24T14:15:22Z",
1920 "lastModifiedDate": "2019-08-24T14:15:22Z",
1921 "archived": true,
1922 "externalId": "string",
1923 "id": 0,
1924 "priority": 0,
1925 "internalId": 0,
1926 "pickListCode": "string",
1927 "pickListLabel": "string",
1928 "label": "string",
1929 "cultureId": 0,
1930 "labelDtos": [
1931 {
1932 "createdBy": "string",
1933 "lastModifiedBy": "string",
1934 "createdDate": "2019-08-24T14:15:22Z",
1935 "lastModifiedDate": "2019-08-24T14:15:22Z",
1936 "archived": true,
1937 "externalId": "string",
1938 "id": 0,
1939 "cultureId": 0,
1940 "value": "string"
1941 }
1942 ]
1943 }
1944 ],
1945 "businessUnits": [
1946 {
1947 "id": 0,
1948 "status": "CREATED",
1949 "displayId": "string",
1950 "name": "string",
1951 "leaseAreaId": 0,
1952 "companyId": 0
1953 }
1954 ],
1955 "legalEntities": [
1956 {
1957 "id": 0,
1958 "status": "CREATED",
1959 "displayId": "string",
1960 "erpSystemId": 0,
1961 "erpSystemDisplayId": "string",
1962 "countryId": 0,
1963 "countryDisplayId": "string",
1964 "postingPeriodVariantId": 0,
1965 "name": "string",
1966 "postingPeriodVariantDisplayId": "string",
1967 "controllingAreaId": 0,
1968 "controllingAreaDisplayId": "string",
1969 "chartOfAccountId": 0,
1970 "chartOfAccountDisplayId": "string",
1971 "fiscalVariantId": 0,
1972 "fiscalVariantDisplayId": "string",
1973 "chartOfDepreciationId": 0,
1974 "chartOfDepreciationDisplayId": "string",
1975 "purchasingOrganizationId": 0,
1976 "assetId": 0,
1977 "exchangeRateTypeId": 0,
1978 "plantId": 0,
1979 "incrementalBorrowingRateId": 0,
1980 "businessUnitId": 0,
1981 "projectId": 0,
1982 "transferVariantId": 0,
1983 "partnerId": 0,
1984 "departmentId": 0,
1985 "accountingStandardId": 0,
1986 "generalLedgerAccountId": 0,
1987 "consumerPriceIndexCategoryId": 0,
1988 "costCenterId": 0,
1989 "costCenterRelationValidFrom": "2019-08-24",
1990 "costCenterRelationValidTo": "2019-08-24"
1991 }
1992 ],
1993 "statusOptions": [
1994 {
1995 "createdBy": "string",
1996 "lastModifiedBy": "string",
1997 "createdDate": "2019-08-24T14:15:22Z",
1998 "lastModifiedDate": "2019-08-24T14:15:22Z",
1999 "archived": true,
2000 "externalId": "string",
2001 "id": 0,
2002 "priority": 0,
2003 "internalId": 0,
2004 "pickListCode": "string",
2005 "pickListLabel": "string",
2006 "label": "string",
2007 "cultureId": 0,
2008 "labelDtos": [
2009 {
2010 "createdBy": "string",
2011 "lastModifiedBy": "string",
2012 "createdDate": "2019-08-24T14:15:22Z",
2013 "lastModifiedDate": "2019-08-24T14:15:22Z",
2014 "archived": true,
2015 "externalId": "string",
2016 "id": 0,
2017 "cultureId": 0,
2018 "value": "string"
2019 }
2020 ]
2021 }
2022 ],
2023 "masterAgreements": [
2024 {
2025 "id": 0,
2026 "displayId": "string",
2027 "year": 1900,
2028 "name": "string",
2029 "description": "string",
2030 "validFrom": "2019-08-24",
2031 "validTo": "2019-08-24",
2032 "targetValue": 0.1,
2033 "legalJurisdiction": "string",
2034 "approverComment": "string",
2035 "signingPerson": "string",
2036 "placeOfSignature": "string",
2037 "dateOfSignature": "2019-08-24",
2038 "state": "MLA_DEFINE",
2039 "dataCreationInfo": {
2040 "id": 0,
2041 "idGenerationType": "AUTO",
2042 "source": "string",
2043 "type": "MIGRATION",
2044 "startDateTime": "2019-08-24T14:15:22Z",
2045 "endDateTime": "2019-08-24T14:15:22Z"
2046 },
2047 "agreementGroup": {
2048 "id": 0,
2049 "displayId": "string",
2050 "status": "CREATED",
2051 "name": "string"
2052 },
2053 "currency": {
2054 "id": 0,
2055 "displayId": "string",
2056 "status": "CREATED",
2057 "name": "string",
2058 "decimalPoints": 0
2059 },
2060 "internalAssetClass": {
2061 "id": 0,
2062 "displayId": "string",
2063 "status": "CREATED",
2064 "name": "string",
2065 "assetClassType": "PROPERTY",
2066 "infiniteUsefulLife": true
2067 },
2068 "leaseArea": {
2069 "id": 0,
2070 "displayId": "string",
2071 "status": "CREATED",
2072 "name": "string"
2073 },
2074 "businessUnit": {
2075 "id": 0,
2076 "displayId": "string",
2077 "status": "CREATED",
2078 "name": "string"
2079 },
2080 "companyCode": {
2081 "id": 0,
2082 "displayId": "string",
2083 "status": "CREATED",
2084 "erpSystemId": 0,
2085 "erpSystemDisplayId": "string",
2086 "countryId": 0,
2087 "countryDisplayId": "string",
2088 "name": "string",
2089 "postingPeriodVariantId": 0,
2090 "fiscalVariantId": 0
2091 },
2092 "department": {
2093 "id": 0,
2094 "displayId": "string",
2095 "status": "CREATED",
2096 "name": "string"
2097 },
2098 "leaseGroup": {
2099 "id": 0,
2100 "displayId": "string",
2101 "status": "CREATED",
2102 "name": "string"
2103 },
2104 "allowsSystemGenerateNewId": true,
2105 "numberRangeIdentifierType": {
2106 "name": "string"
2107 },
2108 "numberRangeIdentifierValue": "string",
2109 "numberRangeType": {
2110 "name": "string"
2111 }
2112 }
2113 ],
2114 "contracts": [
2115 {
2116 "id": 0,
2117 "displayId": "string",
2118 "name": "string",
2119 "principalPositionType": "LESSEE",
2120 "validFrom": "2019-08-24",
2121 "validTo": "2019-08-24",
2122 "amendmentDate": "2019-08-24",
2123 "approverComment": "string",
2124 "contractPhase": "INITIAL",
2125 "dataCreationInfo": {
2126 "id": 0,
2127 "idGenerationType": "AUTO",
2128 "source": "string",
2129 "type": "MIGRATION",
2130 "startDateTime": "2019-08-24T14:15:22Z",
2131 "endDateTime": "2019-08-24T14:15:22Z"
2132 },
2133 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
2134 "revision": {
2135 "id": 0,
2136 "displayId": "string",
2137 "name": "string",
2138 "inception": true,
2139 "revisionType": "REVISION",
2140 "state": "MLA_DEFINE",
2141 "approvedBy": "string",
2142 "approvedAt": "2019-08-24T14:15:22Z",
2143 "parentRevisionId": 0,
2144 "approverComment": "string",
2145 "contractId": 0,
2146 "contractDisplayId": "string",
2147 "contractName": "string",
2148 "principalPositionType": "LESSEE",
2149 "mlaId": 0,
2150 "companyId": 0,
2151 "description": "string",
2152 "externalReference": "string",
2153 "internalReference": "string",
2154 "formOfLease": "FULL",
2155 "jointVentureLeaseType": "GROSS_LEASE",
2156 "businessPlace": "string",
2157 "tradingPartner": {
2158 "id": 0,
2159 "displayId": "string",
2160 "status": "CREATED",
2161 "name": "string",
2162 "erpSystemId": 0,
2163 "erpSystemDisplayId": "string"
2164 },
2165 "contractCategoryGroup": {
2166 "id": 0,
2167 "displayId": "string",
2168 "status": "CREATED",
2169 "name": "string"
2170 },
2171 "contractGroup1": {
2172 "id": 0,
2173 "displayId": "string",
2174 "status": "CREATED",
2175 "name": "string"
2176 },
2177 "contractGroup2": {
2178 "id": 0,
2179 "displayId": "string",
2180 "status": "CREATED",
2181 "name": "string"
2182 },
2183 "group3": "string",
2184 "group4": "string",
2185 "signingPerson": "string",
2186 "placeOfSignature": "string",
2187 "dateOfSignature": "2019-08-24",
2188 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
2189 "numberRangeIdentifierType": {
2190 "name": "string"
2191 },
2192 "numberRangeIdentifierValue": "string",
2193 "allowsSystemGenerateNewId": true,
2194 "numberRangeType": {
2195 "name": "string"
2196 }
2197 },
2198 "currency": {
2199 "id": 0,
2200 "displayId": "string",
2201 "status": "CREATED",
2202 "name": "string",
2203 "decimalPoints": 0
2204 },
2205 "companyCurrency": {
2206 "id": 0,
2207 "displayId": "string",
2208 "status": "CREATED",
2209 "name": "string",
2210 "decimalPoints": 0
2211 },
2212 "indexedCurrency": true,
2213 "assetValueCurrencyType": "CONTRACT_CURRENCY",
2214 "currencyLocked": true,
2215 "leaseArea": {
2216 "id": 0,
2217 "displayId": "string",
2218 "status": "CREATED",
2219 "name": "string"
2220 },
2221 "businessUnit": {
2222 "id": 0,
2223 "displayId": "string",
2224 "status": "CREATED",
2225 "name": "string"
2226 },
2227 "businessUnitLocked": true,
2228 "companyCode": {
2229 "id": 0,
2230 "displayId": "string",
2231 "status": "CREATED",
2232 "erpSystemId": 0,
2233 "erpSystemDisplayId": "string",
2234 "countryId": 0,
2235 "countryDisplayId": "string",
2236 "name": "string",
2237 "postingPeriodVariantId": 0,
2238 "fiscalVariantId": 0
2239 },
2240 "companyCodeLocked": true,
2241 "department": {
2242 "id": 0,
2243 "displayId": "string",
2244 "status": "CREATED",
2245 "name": "string"
2246 },
2247 "departmentLocked": true,
2248 "leaseGroup": {
2249 "id": 0,
2250 "displayId": "string",
2251 "status": "CREATED",
2252 "name": "string"
2253 },
2254 "leaseGroupLocked": true,
2255 "subleasingInternalAssetClass": {
2256 "id": 0,
2257 "displayId": "string",
2258 "status": "CREATED",
2259 "name": "string",
2260 "assetClassType": "PROPERTY",
2261 "infiniteUsefulLife": true
2262 },
2263 "contractGroup1": {
2264 "id": 0,
2265 "displayId": "string",
2266 "status": "CREATED",
2267 "name": "string"
2268 },
2269 "contractGroup2": {
2270 "id": 0,
2271 "displayId": "string",
2272 "status": "CREATED",
2273 "name": "string"
2274 },
2275 "subleasing": true,
2276 "subleasingContractRevisionInfo": {
2277 "id": 0,
2278 "contractId": 0,
2279 "contractDisplayId": "string",
2280 "contractName": "string"
2281 },
2282 "subleasingLeaseComponentRevisionInfo": {
2283 "id": 0,
2284 "leaseComponentId": 0,
2285 "leaseComponentDisplayId": "string",
2286 "leaseComponentName": "string"
2287 },
2288 "subleasingActivationGroupRevisionInfo": {
2289 "id": 0,
2290 "activationGroupId": 0,
2291 "activationGroupDisplayId": "string",
2292 "activationGroupName": "string"
2293 },
2294 "notifications": [
2295 {
2296 "id": 0,
2297 "topic": {
2298 "enCaption": "string",
2299 "frCaption": "string",
2300 "name": "string",
2301 "priority": "HIGH"
2302 },
2303 "username": "string",
2304 "contractId": 0,
2305 "contractDisplayId": "string",
2306 "targetType": "string",
2307 "targetId": "string"
2308 }
2309 ],
2310 "masterAgreementId": 0,
2311 "masterAgreementDisplayId": "string",
2312 "allowsSystemGenerateNewId": true,
2313 "transferInfo": {
2314 "transferredFromDisplayId": "string",
2315 "transferredFromRevisionId": 0,
2316 "transferredToDisplayId": "string",
2317 "transferredToRevisionId": 0
2318 },
2319 "numberRangeIdentifierType": {
2320 "name": "string"
2321 },
2322 "numberRangeIdentifierValue": "string",
2323 "numberRangeType": {
2324 "name": "string"
2325 }
2326 }
2327 ],
2328 "listingCitiesValue": "string",
2329 "listingCitiesValues": [
2330 "string"
2331 ],
2332 "listingProvincesValue": "string",
2333 "listingProvincesValues": [
2334 "string"
2335 ],
2336 "listingCountriesValue": "string",
2337 "listingCountriesValues": [
2338 "string"
2339 ],
2340 "listingLocationsValue": "string",
2341 "listingLocationsValues": [
2342 "string"
2343 ],
2344 "listingPremisesValue": "string",
2345 "listingPremisesValues": [
2346 "string"
2347 ],
2348 "listingGroupsValue": "string",
2349 "listingGroupsValues": [
2350 "string"
2351 ],
2352 "listingGroupOptionsValue": "string",
2353 "listingGroupOptionsValues": [
2354 "string"
2355 ],
2356 "listingBusinessUnitsValue": "string",
2357 "listingBusinessUnitsValues": [
2358 "string"
2359 ],
2360 "listingLegalEntitiesValue": "string",
2361 "listingLegalEntitiesValues": [
2362 "string"
2363 ],
2364 "listingMasterAgreementsValue": "string",
2365 "listingMasterAgreementsValues": [
2366 "string"
2367 ],
2368 "listingContractsValue": "string",
2369 "listingContractsValues": [
2370 "string"
2371 ],
2372 "listingStatusOptionsValue": "string",
2373 "listingStatusOptionsValues": [
2374 "string"
2375 ]
2376 }
2377 ]
2378}
Batch - Update Batch¶
HTTP Request
PUT /api/batches/{id}
📋 Description: Updates the details of a specified batch within the Nakisa Portfolio Management Suite, enabling users to manage portfolio assets and analytics related to real estate properties effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated batch details, including portfolio identifiers, asset allocations, and analytics parameters relevant to real estate property management. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "startDate": "2019-08-24",
11 "endDate": "2019-08-24",
12 "postingDate": "2019-08-24",
13 "documentDate": "2019-08-24",
14 "preparedBy": "string",
15 "preparedDate": "2019-08-24",
16 "approvedBy": "string",
17 "approvedDate": "2019-08-24",
18 "executedBy": "string",
19 "executedDate": "2019-08-24",
20 "postingNote": "string",
21 "usePostingNote": true,
22 "statusId": 0,
23 "processingStatus": "PROCESSING",
24 "batchPreviewGenerationStatus": "NOT_STARTED",
25 "leaseIds": [
26 0
27 ],
28 "massProfileFilterIds": [
29 0
30 ],
31 "principalPositionType": "string",
32 "postingTransactionType": "string",
33 "reversalReasonType": "string",
34 "journalTypes": [
35 "string"
36 ],
37 "jobPostingStatuses": [
38 "string"
39 ],
40 "internalPostingDateType": "string",
41 "operationalPostingJobId": 0,
42 "jobComplete": true,
43 "approvedPaymentIds": [
44 0
45 ],
46 "approvedChargeIds": [
47 0
48 ],
49 "approvedProvisionIds": [
50 0
51 ],
52 "status": {
53 "createdBy": "string",
54 "lastModifiedBy": "string",
55 "createdDate": "2019-08-24T14:15:22Z",
56 "lastModifiedDate": "2019-08-24T14:15:22Z",
57 "archived": true,
58 "externalId": "string",
59 "id": 0,
60 "priority": 0,
61 "internalId": 0,
62 "pickListCode": "string",
63 "pickListLabel": "string",
64 "label": "string",
65 "cultureId": 0,
66 "labelDtos": [
67 {
68 "createdBy": "string",
69 "lastModifiedBy": "string",
70 "createdDate": "2019-08-24T14:15:22Z",
71 "lastModifiedDate": "2019-08-24T14:15:22Z",
72 "archived": true,
73 "externalId": "string",
74 "id": 0,
75 "cultureId": 0,
76 "value": "string"
77 }
78 ]
79 },
80 "massProfileFilters": [
81 {
82 "createdBy": "string",
83 "lastModifiedBy": "string",
84 "createdDate": "2019-08-24T14:15:22Z",
85 "lastModifiedDate": "2019-08-24T14:15:22Z",
86 "archived": true,
87 "externalId": "string",
88 "id": 0,
89 "name": "string",
90 "description": "string",
91 "leaseList": true,
92 "leaseIds": [
93 0
94 ],
95 "leases": [
96 {
97 "createdBy": "string",
98 "lastModifiedBy": "string",
99 "createdDate": "2019-08-24T14:15:22Z",
100 "lastModifiedDate": "2019-08-24T14:15:22Z",
101 "archived": true,
102 "externalId": "string",
103 "id": 0,
104 "typeId": 0,
105 "terminatingLease": "2019-08-24",
106 "maximumDateTo": "2019-08-24",
107 "number": "string",
108 "validFrom": "2019-08-24",
109 "validTo": "2019-08-24",
110 "categoryId": 0,
111 "registrationNumber": "string",
112 "statusId": 0,
113 "stateId": 0,
114 "calculateTax": true,
115 "autoMonthToMonth": true,
116 "originalLeaseId": 0,
117 "scenario": true,
118 "parentLeaseId": 0,
119 "areasHistoryVersionId": 0,
120 "provisioningFrequencyName": "string",
121 "accountingApproved": true,
122 "indexationType": "string",
123 "cpiGlobalCategoryId": 0,
124 "indexationReferenceDate": "2019-08-24",
125 "currentIndexLevel": 0.1,
126 "conditionallyIndexed": true,
127 "applicableCurrentIndexLevel": 0.1,
128 "indexLevelPercentageChangeLowerBound": 0.1,
129 "indexLevelPercentageChangeUpperBound": 0.1,
130 "indexationTypeNonLease": "string",
131 "cpiGlobalCategoryIdNonLease": 0,
132 "indexationReferenceDateNonLease": "2019-08-24",
133 "currentIndexLevelNonLease": 0.1,
134 "conditionallyIndexedNonLease": true,
135 "applicableCurrentIndexLevelNonLease": 0.1,
136 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
137 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
138 "signatureDate": "2019-08-24",
139 "premiseId": 0,
140 "type": {
141 "createdBy": "string",
142 "lastModifiedBy": "string",
143 "createdDate": "2019-08-24T14:15:22Z",
144 "lastModifiedDate": "2019-08-24T14:15:22Z",
145 "archived": true,
146 "externalId": "string",
147 "id": 0,
148 "priority": 0,
149 "internalId": 0,
150 "pickListCode": "string",
151 "pickListLabel": "string",
152 "label": "string",
153 "cultureId": 0,
154 "labelDtos": [
155 {
156 "createdBy": "string",
157 "lastModifiedBy": "string",
158 "createdDate": "2019-08-24T14:15:22Z",
159 "lastModifiedDate": "2019-08-24T14:15:22Z",
160 "archived": true,
161 "externalId": "string",
162 "id": 0,
163 "cultureId": 0,
164 "value": "string"
165 }
166 ]
167 },
168 "category": {
169 "createdBy": "string",
170 "lastModifiedBy": "string",
171 "createdDate": "2019-08-24T14:15:22Z",
172 "lastModifiedDate": "2019-08-24T14:15:22Z",
173 "archived": true,
174 "externalId": "string",
175 "id": 0,
176 "priority": 0,
177 "internalId": 0,
178 "pickListCode": "string",
179 "pickListLabel": "string",
180 "label": "string",
181 "cultureId": 0,
182 "labelDtos": [
183 {
184 "createdBy": "string",
185 "lastModifiedBy": "string",
186 "createdDate": "2019-08-24T14:15:22Z",
187 "lastModifiedDate": "2019-08-24T14:15:22Z",
188 "archived": true,
189 "externalId": "string",
190 "id": 0,
191 "cultureId": 0,
192 "value": "string"
193 }
194 ]
195 },
196 "status": {
197 "createdBy": "string",
198 "lastModifiedBy": "string",
199 "createdDate": "2019-08-24T14:15:22Z",
200 "lastModifiedDate": "2019-08-24T14:15:22Z",
201 "archived": true,
202 "externalId": "string",
203 "id": 0,
204 "priority": 0,
205 "internalId": 0,
206 "pickListCode": "string",
207 "pickListLabel": "string",
208 "label": "string",
209 "cultureId": 0,
210 "labelDtos": [
211 {
212 "createdBy": "string",
213 "lastModifiedBy": "string",
214 "createdDate": "2019-08-24T14:15:22Z",
215 "lastModifiedDate": "2019-08-24T14:15:22Z",
216 "archived": true,
217 "externalId": "string",
218 "id": 0,
219 "cultureId": 0,
220 "value": "string"
221 }
222 ]
223 },
224 "state": {
225 "createdBy": "string",
226 "lastModifiedBy": "string",
227 "createdDate": "2019-08-24T14:15:22Z",
228 "lastModifiedDate": "2019-08-24T14:15:22Z",
229 "archived": true,
230 "externalId": "string",
231 "id": 0,
232 "priority": 0,
233 "internalId": 0,
234 "pickListCode": "string",
235 "pickListLabel": "string",
236 "label": "string",
237 "cultureId": 0,
238 "labelDtos": [
239 {
240 "createdBy": "string",
241 "lastModifiedBy": "string",
242 "createdDate": "2019-08-24T14:15:22Z",
243 "lastModifiedDate": "2019-08-24T14:15:22Z",
244 "archived": true,
245 "externalId": "string",
246 "id": 0,
247 "cultureId": 0,
248 "value": "string"
249 }
250 ]
251 },
252 "version": {
253 "createdBy": "string",
254 "lastModifiedBy": "string",
255 "createdDate": "2019-08-24T14:15:22Z",
256 "lastModifiedDate": "2019-08-24T14:15:22Z",
257 "archived": true,
258 "externalId": "string",
259 "id": 0,
260 "name": "string",
261 "description": "string",
262 "modificationDate": "2019-08-24",
263 "updateContractRate": true,
264 "leaseEvent": {
265 "createdBy": "string",
266 "lastModifiedBy": "string",
267 "createdDate": "2019-08-24T14:15:22Z",
268 "lastModifiedDate": "2019-08-24T14:15:22Z",
269 "archived": true,
270 "externalId": "string",
271 "id": 0,
272 "typeId": 0,
273 "code": "string",
274 "reviewedBy": "string",
275 "reviewedDate": "2019-08-24",
276 "reviewedStatusId": 0,
277 "activityDate": "2019-08-24",
278 "relatedPickListOptionId": 0,
279 "detail": "string",
280 "note": {
281 "createdBy": "string",
282 "lastModifiedBy": "string",
283 "createdDate": "2019-08-24T14:15:22Z",
284 "lastModifiedDate": "2019-08-24T14:15:22Z",
285 "archived": true,
286 "externalId": "string",
287 "id": 0,
288 "message": "string",
289 "preserveOriginalAudit": true,
290 "originalCreatedBy": "string",
291 "originalCreatedDate": "2019-08-24T14:15:22Z",
292 "originalLastModifiedBy": "string",
293 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
294 },
295 "type": {
296 "createdBy": "string",
297 "lastModifiedBy": "string",
298 "createdDate": "2019-08-24T14:15:22Z",
299 "lastModifiedDate": "2019-08-24T14:15:22Z",
300 "archived": true,
301 "externalId": "string",
302 "id": 0,
303 "priority": 0,
304 "internalId": 0,
305 "pickListCode": "string",
306 "pickListLabel": "string",
307 "label": "string",
308 "cultureId": 0,
309 "labelDtos": [
310 {
311 "createdBy": "string",
312 "lastModifiedBy": "string",
313 "createdDate": "2019-08-24T14:15:22Z",
314 "lastModifiedDate": "2019-08-24T14:15:22Z",
315 "archived": true,
316 "externalId": "string",
317 "id": 0,
318 "cultureId": 0,
319 "value": "string"
320 }
321 ]
322 },
323 "reviewedStatus": {
324 "createdBy": "string",
325 "lastModifiedBy": "string",
326 "createdDate": "2019-08-24T14:15:22Z",
327 "lastModifiedDate": "2019-08-24T14:15:22Z",
328 "archived": true,
329 "externalId": "string",
330 "id": 0,
331 "priority": 0,
332 "internalId": 0,
333 "pickListCode": "string",
334 "pickListLabel": "string",
335 "label": "string",
336 "cultureId": 0,
337 "labelDtos": [
338 {
339 "createdBy": "string",
340 "lastModifiedBy": "string",
341 "createdDate": "2019-08-24T14:15:22Z",
342 "lastModifiedDate": "2019-08-24T14:15:22Z",
343 "archived": true,
344 "externalId": "string",
345 "id": 0,
346 "cultureId": 0,
347 "value": "string"
348 }
349 ]
350 },
351 "relatedPickListOption": {
352 "createdBy": "string",
353 "lastModifiedBy": "string",
354 "createdDate": "2019-08-24T14:15:22Z",
355 "lastModifiedDate": "2019-08-24T14:15:22Z",
356 "archived": true,
357 "externalId": "string",
358 "id": 0,
359 "priority": 0,
360 "internalId": 0,
361 "pickListCode": "string",
362 "pickListLabel": "string",
363 "label": "string",
364 "cultureId": 0,
365 "labelDtos": [
366 {
367 "createdBy": "string",
368 "lastModifiedBy": "string",
369 "createdDate": "2019-08-24T14:15:22Z",
370 "lastModifiedDate": "2019-08-24T14:15:22Z",
371 "archived": true,
372 "externalId": "string",
373 "id": 0,
374 "cultureId": 0,
375 "value": "string"
376 }
377 ]
378 },
379 "isVisiblePartnerPortal": true
380 },
381 "scenario": true,
382 "isVisibleVendorPortal": true,
383 "isTerminationVersion": true,
384 "terminationDate": "2019-08-24",
385 "penaltyAmount": 0.1,
386 "areasHistoryVersionId": 0
387 },
388 "premiseDto": {
389 "createdBy": "string",
390 "lastModifiedBy": "string",
391 "createdDate": "2019-08-24T14:15:22Z",
392 "lastModifiedDate": "2019-08-24T14:15:22Z",
393 "archived": true,
394 "externalId": "string",
395 "id": 0,
396 "number": "string",
397 "name": "string",
398 "headPremise": true,
399 "possessionDate": "2019-08-24",
400 "openingDate": "2019-08-24",
401 "closingDate": "2019-08-24",
402 "relocationDate": "2019-08-24",
403 "vacatingDate": "2019-08-24",
404 "expansionDate": "2019-08-24",
405 "statusId": 0,
406 "usageId": 0,
407 "parentPremiseId": 0,
408 "costCenterId": 0,
409 "profitCenterId": 0,
410 "legalEntityId": 0,
411 "occupancyIds": [
412 0
413 ],
414 "locationId": 0,
415 "locationDto": {
416 "createdBy": "string",
417 "lastModifiedBy": "string",
418 "createdDate": "2019-08-24T14:15:22Z",
419 "lastModifiedDate": "2019-08-24T14:15:22Z",
420 "archived": true,
421 "externalId": "string",
422 "id": 0,
423 "number": "string",
424 "name": "string",
425 "storeNumber": "string",
426 "defaultCurrencyId": 0,
427 "defaultMeasureId": 0,
428 "typeId": 0,
429 "qualityId": 0,
430 "propertyTypeId": 0,
431 "categoryId": 0,
432 "statusId": 0,
433 "businessUnitId": 0,
434 "groupIds": [
435 0
436 ],
437 "legalEntityIds": [
438 0
439 ],
440 "defaultCurrency": {
441 "id": 0,
442 "status": "CREATED",
443 "displayId": "string",
444 "erpSystemId": 0,
445 "erpSystemDisplayId": "string",
446 "name": "string",
447 "decimalPoints": 0,
448 "depreciationAreaId": 0
449 },
450 "defaultUnitValue": {
451 "createdBy": "string",
452 "lastModifiedBy": "string",
453 "createdDate": "2019-08-24T14:15:22Z",
454 "lastModifiedDate": "2019-08-24T14:15:22Z",
455 "archived": true,
456 "externalId": "string",
457 "id": 0,
458 "unitId": 0,
459 "unitOfMeasureId": 0,
460 "erpSystemId": 0,
461 "unit": {
462 "createdBy": "string",
463 "lastModifiedBy": "string",
464 "createdDate": "2019-08-24T14:15:22Z",
465 "lastModifiedDate": "2019-08-24T14:15:22Z",
466 "archived": true,
467 "externalId": "string",
468 "id": 0,
469 "priority": 0,
470 "internalId": 0,
471 "pickListCode": "string",
472 "pickListLabel": "string",
473 "label": "string",
474 "cultureId": 0,
475 "labelDtos": [
476 {}
477 ]
478 },
479 "unitOfMeasure": {
480 "id": 0,
481 "status": "CREATED",
482 "displayId": "string",
483 "erpSystemId": 0,
484 "erpSystemDisplayId": "string",
485 "name": "string"
486 }
487 },
488 "type": {
489 "createdBy": "string",
490 "lastModifiedBy": "string",
491 "createdDate": "2019-08-24T14:15:22Z",
492 "lastModifiedDate": "2019-08-24T14:15:22Z",
493 "archived": true,
494 "externalId": "string",
495 "id": 0,
496 "priority": 0,
497 "internalId": 0,
498 "pickListCode": "string",
499 "pickListLabel": "string",
500 "label": "string",
501 "cultureId": 0,
502 "labelDtos": [
503 {
504 "createdBy": "string",
505 "lastModifiedBy": "string",
506 "createdDate": "2019-08-24T14:15:22Z",
507 "lastModifiedDate": "2019-08-24T14:15:22Z",
508 "archived": true,
509 "externalId": "string",
510 "id": 0,
511 "cultureId": 0,
512 "value": "string"
513 }
514 ]
515 },
516 "quality": {
517 "createdBy": "string",
518 "lastModifiedBy": "string",
519 "createdDate": "2019-08-24T14:15:22Z",
520 "lastModifiedDate": "2019-08-24T14:15:22Z",
521 "archived": true,
522 "externalId": "string",
523 "id": 0,
524 "priority": 0,
525 "internalId": 0,
526 "pickListCode": "string",
527 "pickListLabel": "string",
528 "label": "string",
529 "cultureId": 0,
530 "labelDtos": [
531 {
532 "createdBy": "string",
533 "lastModifiedBy": "string",
534 "createdDate": "2019-08-24T14:15:22Z",
535 "lastModifiedDate": "2019-08-24T14:15:22Z",
536 "archived": true,
537 "externalId": "string",
538 "id": 0,
539 "cultureId": 0,
540 "value": "string"
541 }
542 ]
543 },
544 "propertyType": {
545 "createdBy": "string",
546 "lastModifiedBy": "string",
547 "createdDate": "2019-08-24T14:15:22Z",
548 "lastModifiedDate": "2019-08-24T14:15:22Z",
549 "archived": true,
550 "externalId": "string",
551 "id": 0,
552 "priority": 0,
553 "internalId": 0,
554 "pickListCode": "string",
555 "pickListLabel": "string",
556 "label": "string",
557 "cultureId": 0,
558 "labelDtos": [
559 {
560 "createdBy": "string",
561 "lastModifiedBy": "string",
562 "createdDate": "2019-08-24T14:15:22Z",
563 "lastModifiedDate": "2019-08-24T14:15:22Z",
564 "archived": true,
565 "externalId": "string",
566 "id": 0,
567 "cultureId": 0,
568 "value": "string"
569 }
570 ]
571 },
572 "category": {
573 "createdBy": "string",
574 "lastModifiedBy": "string",
575 "createdDate": "2019-08-24T14:15:22Z",
576 "lastModifiedDate": "2019-08-24T14:15:22Z",
577 "archived": true,
578 "externalId": "string",
579 "id": 0,
580 "priority": 0,
581 "internalId": 0,
582 "pickListCode": "string",
583 "pickListLabel": "string",
584 "label": "string",
585 "cultureId": 0,
586 "labelDtos": [
587 {
588 "createdBy": "string",
589 "lastModifiedBy": "string",
590 "createdDate": "2019-08-24T14:15:22Z",
591 "lastModifiedDate": "2019-08-24T14:15:22Z",
592 "archived": true,
593 "externalId": "string",
594 "id": 0,
595 "cultureId": 0,
596 "value": "string"
597 }
598 ]
599 },
600 "status": {
601 "createdBy": "string",
602 "lastModifiedBy": "string",
603 "createdDate": "2019-08-24T14:15:22Z",
604 "lastModifiedDate": "2019-08-24T14:15:22Z",
605 "archived": true,
606 "externalId": "string",
607 "id": 0,
608 "priority": 0,
609 "internalId": 0,
610 "pickListCode": "string",
611 "pickListLabel": "string",
612 "label": "string",
613 "cultureId": 0,
614 "labelDtos": [
615 {
616 "createdBy": "string",
617 "lastModifiedBy": "string",
618 "createdDate": "2019-08-24T14:15:22Z",
619 "lastModifiedDate": "2019-08-24T14:15:22Z",
620 "archived": true,
621 "externalId": "string",
622 "id": 0,
623 "cultureId": 0,
624 "value": "string"
625 }
626 ]
627 },
628 "addressDto": {
629 "createdBy": "string",
630 "lastModifiedBy": "string",
631 "createdDate": "2019-08-24T14:15:22Z",
632 "lastModifiedDate": "2019-08-24T14:15:22Z",
633 "archived": true,
634 "externalId": "string",
635 "id": 0,
636 "street": "string",
637 "civicNumber": "string",
638 "suite": "string",
639 "postalCode": "string",
640 "lon": 0.1,
641 "lat": 0.1,
642 "city": {
643 "createdBy": "string",
644 "lastModifiedBy": "string",
645 "createdDate": "2019-08-24T14:15:22Z",
646 "lastModifiedDate": "2019-08-24T14:15:22Z",
647 "archived": true,
648 "externalId": "string",
649 "id": 0,
650 "name": "string",
651 "province": {
652 "createdBy": "string",
653 "lastModifiedBy": "string",
654 "createdDate": "2019-08-24T14:15:22Z",
655 "lastModifiedDate": "2019-08-24T14:15:22Z",
656 "archived": true,
657 "externalId": "string",
658 "id": 0,
659 "name": "string",
660 "code": "string",
661 "country": {},
662 "provinceCountryKey": "string"
663 },
664 "cityProvinceCountryKey": "string"
665 },
666 "district": {
667 "createdBy": "string",
668 "lastModifiedBy": "string",
669 "createdDate": "2019-08-24T14:15:22Z",
670 "lastModifiedDate": "2019-08-24T14:15:22Z",
671 "archived": true,
672 "externalId": "string",
673 "id": 0,
674 "name": "string",
675 "city": {
676 "createdBy": "string",
677 "lastModifiedBy": "string",
678 "createdDate": "2019-08-24T14:15:22Z",
679 "lastModifiedDate": "2019-08-24T14:15:22Z",
680 "archived": true,
681 "externalId": "string",
682 "id": 0,
683 "name": "string",
684 "province": {},
685 "cityProvinceCountryKey": "string"
686 }
687 },
688 "cityId": 0,
689 "districtId": 0
690 },
691 "secondAddressDto": {
692 "createdBy": "string",
693 "lastModifiedBy": "string",
694 "createdDate": "2019-08-24T14:15:22Z",
695 "lastModifiedDate": "2019-08-24T14:15:22Z",
696 "archived": true,
697 "externalId": "string",
698 "id": 0,
699 "street": "string",
700 "civicNumber": "string",
701 "suite": "string",
702 "postalCode": "string",
703 "lon": 0.1,
704 "lat": 0.1,
705 "city": {
706 "createdBy": "string",
707 "lastModifiedBy": "string",
708 "createdDate": "2019-08-24T14:15:22Z",
709 "lastModifiedDate": "2019-08-24T14:15:22Z",
710 "archived": true,
711 "externalId": "string",
712 "id": 0,
713 "name": "string",
714 "province": {
715 "createdBy": "string",
716 "lastModifiedBy": "string",
717 "createdDate": "2019-08-24T14:15:22Z",
718 "lastModifiedDate": "2019-08-24T14:15:22Z",
719 "archived": true,
720 "externalId": "string",
721 "id": 0,
722 "name": "string",
723 "code": "string",
724 "country": {},
725 "provinceCountryKey": "string"
726 },
727 "cityProvinceCountryKey": "string"
728 },
729 "district": {
730 "createdBy": "string",
731 "lastModifiedBy": "string",
732 "createdDate": "2019-08-24T14:15:22Z",
733 "lastModifiedDate": "2019-08-24T14:15:22Z",
734 "archived": true,
735 "externalId": "string",
736 "id": 0,
737 "name": "string",
738 "city": {
739 "createdBy": "string",
740 "lastModifiedBy": "string",
741 "createdDate": "2019-08-24T14:15:22Z",
742 "lastModifiedDate": "2019-08-24T14:15:22Z",
743 "archived": true,
744 "externalId": "string",
745 "id": 0,
746 "name": "string",
747 "province": {},
748 "cityProvinceCountryKey": "string"
749 }
750 },
751 "cityId": 0,
752 "districtId": 0
753 }
754 },
755 "status": {
756 "createdBy": "string",
757 "lastModifiedBy": "string",
758 "createdDate": "2019-08-24T14:15:22Z",
759 "lastModifiedDate": "2019-08-24T14:15:22Z",
760 "archived": true,
761 "externalId": "string",
762 "id": 0,
763 "priority": 0,
764 "internalId": 0,
765 "pickListCode": "string",
766 "pickListLabel": "string",
767 "label": "string",
768 "cultureId": 0,
769 "labelDtos": [
770 {
771 "createdBy": "string",
772 "lastModifiedBy": "string",
773 "createdDate": "2019-08-24T14:15:22Z",
774 "lastModifiedDate": "2019-08-24T14:15:22Z",
775 "archived": true,
776 "externalId": "string",
777 "id": 0,
778 "cultureId": 0,
779 "value": "string"
780 }
781 ]
782 },
783 "usage": {
784 "createdBy": "string",
785 "lastModifiedBy": "string",
786 "createdDate": "2019-08-24T14:15:22Z",
787 "lastModifiedDate": "2019-08-24T14:15:22Z",
788 "archived": true,
789 "externalId": "string",
790 "id": 0,
791 "priority": 0,
792 "internalId": 0,
793 "pickListCode": "string",
794 "pickListLabel": "string",
795 "label": "string",
796 "cultureId": 0,
797 "labelDtos": [
798 {
799 "createdBy": "string",
800 "lastModifiedBy": "string",
801 "createdDate": "2019-08-24T14:15:22Z",
802 "lastModifiedDate": "2019-08-24T14:15:22Z",
803 "archived": true,
804 "externalId": "string",
805 "id": 0,
806 "cultureId": 0,
807 "value": "string"
808 }
809 ]
810 },
811 "occupanciesDto": [
812 {
813 "createdBy": "string",
814 "lastModifiedBy": "string",
815 "createdDate": "2019-08-24T14:15:22Z",
816 "lastModifiedDate": "2019-08-24T14:15:22Z",
817 "archived": true,
818 "externalId": "string",
819 "id": 0,
820 "priority": 0,
821 "internalId": 0,
822 "pickListCode": "string",
823 "pickListLabel": "string",
824 "label": "string",
825 "cultureId": 0,
826 "labelDtos": [
827 {
828 "createdBy": "string",
829 "lastModifiedBy": "string",
830 "createdDate": "2019-08-24T14:15:22Z",
831 "lastModifiedDate": "2019-08-24T14:15:22Z",
832 "archived": true,
833 "externalId": "string",
834 "id": 0,
835 "cultureId": 0,
836 "value": "string"
837 }
838 ]
839 }
840 ]
841 },
842 "isTerminationVersion": true
843 }
844 ],
845 "leaseFileNumbers": [
846 "string"
847 ],
848 "validFrom": "2019-08-24",
849 "validTo": "2019-08-24",
850 "cityIds": [
851 0
852 ],
853 "provinceIds": [
854 0
855 ],
856 "countryIds": [
857 0
858 ],
859 "premiseIds": [
860 0
861 ],
862 "locationIds": [
863 0
864 ],
865 "businessUnitIds": [
866 0
867 ],
868 "legalEntityIds": [
869 0
870 ],
871 "groupIds": [
872 "string"
873 ],
874 "groupOptionIds": [
875 0
876 ],
877 "masterAgreementIds": [
878 0
879 ],
880 "contractIds": [
881 0
882 ],
883 "statusIds": [
884 0
885 ],
886 "cities": [
887 {
888 "createdBy": "string",
889 "lastModifiedBy": "string",
890 "createdDate": "2019-08-24T14:15:22Z",
891 "lastModifiedDate": "2019-08-24T14:15:22Z",
892 "archived": true,
893 "externalId": "string",
894 "id": 0,
895 "name": "string",
896 "province": {
897 "createdBy": "string",
898 "lastModifiedBy": "string",
899 "createdDate": "2019-08-24T14:15:22Z",
900 "lastModifiedDate": "2019-08-24T14:15:22Z",
901 "archived": true,
902 "externalId": "string",
903 "id": 0,
904 "name": "string",
905 "country": {
906 "createdBy": "string",
907 "lastModifiedBy": "string",
908 "createdDate": "2019-08-24T14:15:22Z",
909 "lastModifiedDate": "2019-08-24T14:15:22Z",
910 "archived": true,
911 "externalId": "string",
912 "id": 0,
913 "name": "string",
914 "code": "string"
915 },
916 "code": "string",
917 "countryId": 0
918 },
919 "provinceId": 0
920 }
921 ],
922 "provinces": [
923 {
924 "createdBy": "string",
925 "lastModifiedBy": "string",
926 "createdDate": "2019-08-24T14:15:22Z",
927 "lastModifiedDate": "2019-08-24T14:15:22Z",
928 "archived": true,
929 "externalId": "string",
930 "id": 0,
931 "name": "string",
932 "country": {
933 "createdBy": "string",
934 "lastModifiedBy": "string",
935 "createdDate": "2019-08-24T14:15:22Z",
936 "lastModifiedDate": "2019-08-24T14:15:22Z",
937 "archived": true,
938 "externalId": "string",
939 "id": 0,
940 "name": "string",
941 "code": "string"
942 },
943 "code": "string",
944 "countryId": 0
945 }
946 ],
947 "countries": [
948 {
949 "createdBy": "string",
950 "lastModifiedBy": "string",
951 "createdDate": "2019-08-24T14:15:22Z",
952 "lastModifiedDate": "2019-08-24T14:15:22Z",
953 "archived": true,
954 "externalId": "string",
955 "id": 0,
956 "name": "string",
957 "code": "string"
958 }
959 ],
960 "locations": [
961 {
962 "createdBy": "string",
963 "lastModifiedBy": "string",
964 "createdDate": "2019-08-24T14:15:22Z",
965 "lastModifiedDate": "2019-08-24T14:15:22Z",
966 "archived": true,
967 "externalId": "string",
968 "id": 0,
969 "number": "string",
970 "name": "string",
971 "storeNumber": "string",
972 "defaultCurrencyId": 0,
973 "defaultMeasureId": 0,
974 "typeId": 0,
975 "qualityId": 0,
976 "propertyTypeId": 0,
977 "categoryId": 0,
978 "statusId": 0,
979 "businessUnitId": 0,
980 "groupIds": [
981 0
982 ],
983 "legalEntityIds": [
984 0
985 ],
986 "defaultCurrency": {
987 "id": 0,
988 "status": "CREATED",
989 "displayId": "string",
990 "erpSystemId": 0,
991 "erpSystemDisplayId": "string",
992 "name": "string",
993 "decimalPoints": 0,
994 "depreciationAreaId": 0
995 },
996 "defaultUnitValue": {
997 "createdBy": "string",
998 "lastModifiedBy": "string",
999 "createdDate": "2019-08-24T14:15:22Z",
1000 "lastModifiedDate": "2019-08-24T14:15:22Z",
1001 "archived": true,
1002 "externalId": "string",
1003 "id": 0,
1004 "unitId": 0,
1005 "unitOfMeasureId": 0,
1006 "erpSystemId": 0,
1007 "unit": {
1008 "createdBy": "string",
1009 "lastModifiedBy": "string",
1010 "createdDate": "2019-08-24T14:15:22Z",
1011 "lastModifiedDate": "2019-08-24T14:15:22Z",
1012 "archived": true,
1013 "externalId": "string",
1014 "id": 0,
1015 "priority": 0,
1016 "internalId": 0,
1017 "pickListCode": "string",
1018 "pickListLabel": "string",
1019 "label": "string",
1020 "cultureId": 0,
1021 "labelDtos": [
1022 {
1023 "createdBy": "string",
1024 "lastModifiedBy": "string",
1025 "createdDate": "2019-08-24T14:15:22Z",
1026 "lastModifiedDate": "2019-08-24T14:15:22Z",
1027 "archived": true,
1028 "externalId": "string",
1029 "id": 0,
1030 "cultureId": 0,
1031 "value": "string"
1032 }
1033 ]
1034 },
1035 "unitOfMeasure": {
1036 "id": 0,
1037 "status": "CREATED",
1038 "displayId": "string",
1039 "erpSystemId": 0,
1040 "erpSystemDisplayId": "string",
1041 "name": "string"
1042 }
1043 },
1044 "type": {
1045 "createdBy": "string",
1046 "lastModifiedBy": "string",
1047 "createdDate": "2019-08-24T14:15:22Z",
1048 "lastModifiedDate": "2019-08-24T14:15:22Z",
1049 "archived": true,
1050 "externalId": "string",
1051 "id": 0,
1052 "priority": 0,
1053 "internalId": 0,
1054 "pickListCode": "string",
1055 "pickListLabel": "string",
1056 "label": "string",
1057 "cultureId": 0,
1058 "labelDtos": [
1059 {
1060 "createdBy": "string",
1061 "lastModifiedBy": "string",
1062 "createdDate": "2019-08-24T14:15:22Z",
1063 "lastModifiedDate": "2019-08-24T14:15:22Z",
1064 "archived": true,
1065 "externalId": "string",
1066 "id": 0,
1067 "cultureId": 0,
1068 "value": "string"
1069 }
1070 ]
1071 },
1072 "quality": {
1073 "createdBy": "string",
1074 "lastModifiedBy": "string",
1075 "createdDate": "2019-08-24T14:15:22Z",
1076 "lastModifiedDate": "2019-08-24T14:15:22Z",
1077 "archived": true,
1078 "externalId": "string",
1079 "id": 0,
1080 "priority": 0,
1081 "internalId": 0,
1082 "pickListCode": "string",
1083 "pickListLabel": "string",
1084 "label": "string",
1085 "cultureId": 0,
1086 "labelDtos": [
1087 {
1088 "createdBy": "string",
1089 "lastModifiedBy": "string",
1090 "createdDate": "2019-08-24T14:15:22Z",
1091 "lastModifiedDate": "2019-08-24T14:15:22Z",
1092 "archived": true,
1093 "externalId": "string",
1094 "id": 0,
1095 "cultureId": 0,
1096 "value": "string"
1097 }
1098 ]
1099 },
1100 "propertyType": {
1101 "createdBy": "string",
1102 "lastModifiedBy": "string",
1103 "createdDate": "2019-08-24T14:15:22Z",
1104 "lastModifiedDate": "2019-08-24T14:15:22Z",
1105 "archived": true,
1106 "externalId": "string",
1107 "id": 0,
1108 "priority": 0,
1109 "internalId": 0,
1110 "pickListCode": "string",
1111 "pickListLabel": "string",
1112 "label": "string",
1113 "cultureId": 0,
1114 "labelDtos": [
1115 {
1116 "createdBy": "string",
1117 "lastModifiedBy": "string",
1118 "createdDate": "2019-08-24T14:15:22Z",
1119 "lastModifiedDate": "2019-08-24T14:15:22Z",
1120 "archived": true,
1121 "externalId": "string",
1122 "id": 0,
1123 "cultureId": 0,
1124 "value": "string"
1125 }
1126 ]
1127 },
1128 "category": {
1129 "createdBy": "string",
1130 "lastModifiedBy": "string",
1131 "createdDate": "2019-08-24T14:15:22Z",
1132 "lastModifiedDate": "2019-08-24T14:15:22Z",
1133 "archived": true,
1134 "externalId": "string",
1135 "id": 0,
1136 "priority": 0,
1137 "internalId": 0,
1138 "pickListCode": "string",
1139 "pickListLabel": "string",
1140 "label": "string",
1141 "cultureId": 0,
1142 "labelDtos": [
1143 {
1144 "createdBy": "string",
1145 "lastModifiedBy": "string",
1146 "createdDate": "2019-08-24T14:15:22Z",
1147 "lastModifiedDate": "2019-08-24T14:15:22Z",
1148 "archived": true,
1149 "externalId": "string",
1150 "id": 0,
1151 "cultureId": 0,
1152 "value": "string"
1153 }
1154 ]
1155 },
1156 "status": {
1157 "createdBy": "string",
1158 "lastModifiedBy": "string",
1159 "createdDate": "2019-08-24T14:15:22Z",
1160 "lastModifiedDate": "2019-08-24T14:15:22Z",
1161 "archived": true,
1162 "externalId": "string",
1163 "id": 0,
1164 "priority": 0,
1165 "internalId": 0,
1166 "pickListCode": "string",
1167 "pickListLabel": "string",
1168 "label": "string",
1169 "cultureId": 0,
1170 "labelDtos": [
1171 {
1172 "createdBy": "string",
1173 "lastModifiedBy": "string",
1174 "createdDate": "2019-08-24T14:15:22Z",
1175 "lastModifiedDate": "2019-08-24T14:15:22Z",
1176 "archived": true,
1177 "externalId": "string",
1178 "id": 0,
1179 "cultureId": 0,
1180 "value": "string"
1181 }
1182 ]
1183 },
1184 "addressDto": {
1185 "createdBy": "string",
1186 "lastModifiedBy": "string",
1187 "createdDate": "2019-08-24T14:15:22Z",
1188 "lastModifiedDate": "2019-08-24T14:15:22Z",
1189 "archived": true,
1190 "externalId": "string",
1191 "id": 0,
1192 "street": "string",
1193 "civicNumber": "string",
1194 "suite": "string",
1195 "postalCode": "string",
1196 "lon": 0.1,
1197 "lat": 0.1,
1198 "city": {
1199 "createdBy": "string",
1200 "lastModifiedBy": "string",
1201 "createdDate": "2019-08-24T14:15:22Z",
1202 "lastModifiedDate": "2019-08-24T14:15:22Z",
1203 "archived": true,
1204 "externalId": "string",
1205 "id": 0,
1206 "name": "string",
1207 "province": {
1208 "createdBy": "string",
1209 "lastModifiedBy": "string",
1210 "createdDate": "2019-08-24T14:15:22Z",
1211 "lastModifiedDate": "2019-08-24T14:15:22Z",
1212 "archived": true,
1213 "externalId": "string",
1214 "id": 0,
1215 "name": "string",
1216 "code": "string",
1217 "country": {
1218 "createdBy": "string",
1219 "lastModifiedBy": "string",
1220 "createdDate": "2019-08-24T14:15:22Z",
1221 "lastModifiedDate": "2019-08-24T14:15:22Z",
1222 "archived": true,
1223 "externalId": "string",
1224 "id": 0,
1225 "name": "string",
1226 "code": "string"
1227 },
1228 "provinceCountryKey": "string"
1229 },
1230 "cityProvinceCountryKey": "string"
1231 },
1232 "district": {
1233 "createdBy": "string",
1234 "lastModifiedBy": "string",
1235 "createdDate": "2019-08-24T14:15:22Z",
1236 "lastModifiedDate": "2019-08-24T14:15:22Z",
1237 "archived": true,
1238 "externalId": "string",
1239 "id": 0,
1240 "name": "string",
1241 "city": {
1242 "createdBy": "string",
1243 "lastModifiedBy": "string",
1244 "createdDate": "2019-08-24T14:15:22Z",
1245 "lastModifiedDate": "2019-08-24T14:15:22Z",
1246 "archived": true,
1247 "externalId": "string",
1248 "id": 0,
1249 "name": "string",
1250 "province": {
1251 "createdBy": "string",
1252 "lastModifiedBy": "string",
1253 "createdDate": "2019-08-24T14:15:22Z",
1254 "lastModifiedDate": "2019-08-24T14:15:22Z",
1255 "archived": true,
1256 "externalId": "string",
1257 "id": 0,
1258 "name": "string",
1259 "code": "string",
1260 "country": {
1261 "createdBy": "string",
1262 "lastModifiedBy": "string",
1263 "createdDate": "2019-08-24T14:15:22Z",
1264 "lastModifiedDate": "2019-08-24T14:15:22Z",
1265 "archived": true,
1266 "externalId": "string",
1267 "id": 0,
1268 "name": "string",
1269 "code": "string"
1270 },
1271 "provinceCountryKey": "string"
1272 },
1273 "cityProvinceCountryKey": "string"
1274 }
1275 },
1276 "cityId": 0,
1277 "districtId": 0
1278 },
1279 "secondAddressDto": {
1280 "createdBy": "string",
1281 "lastModifiedBy": "string",
1282 "createdDate": "2019-08-24T14:15:22Z",
1283 "lastModifiedDate": "2019-08-24T14:15:22Z",
1284 "archived": true,
1285 "externalId": "string",
1286 "id": 0,
1287 "street": "string",
1288 "civicNumber": "string",
1289 "suite": "string",
1290 "postalCode": "string",
1291 "lon": 0.1,
1292 "lat": 0.1,
1293 "city": {
1294 "createdBy": "string",
1295 "lastModifiedBy": "string",
1296 "createdDate": "2019-08-24T14:15:22Z",
1297 "lastModifiedDate": "2019-08-24T14:15:22Z",
1298 "archived": true,
1299 "externalId": "string",
1300 "id": 0,
1301 "name": "string",
1302 "province": {
1303 "createdBy": "string",
1304 "lastModifiedBy": "string",
1305 "createdDate": "2019-08-24T14:15:22Z",
1306 "lastModifiedDate": "2019-08-24T14:15:22Z",
1307 "archived": true,
1308 "externalId": "string",
1309 "id": 0,
1310 "name": "string",
1311 "code": "string",
1312 "country": {
1313 "createdBy": "string",
1314 "lastModifiedBy": "string",
1315 "createdDate": "2019-08-24T14:15:22Z",
1316 "lastModifiedDate": "2019-08-24T14:15:22Z",
1317 "archived": true,
1318 "externalId": "string",
1319 "id": 0,
1320 "name": "string",
1321 "code": "string"
1322 },
1323 "provinceCountryKey": "string"
1324 },
1325 "cityProvinceCountryKey": "string"
1326 },
1327 "district": {
1328 "createdBy": "string",
1329 "lastModifiedBy": "string",
1330 "createdDate": "2019-08-24T14:15:22Z",
1331 "lastModifiedDate": "2019-08-24T14:15:22Z",
1332 "archived": true,
1333 "externalId": "string",
1334 "id": 0,
1335 "name": "string",
1336 "city": {
1337 "createdBy": "string",
1338 "lastModifiedBy": "string",
1339 "createdDate": "2019-08-24T14:15:22Z",
1340 "lastModifiedDate": "2019-08-24T14:15:22Z",
1341 "archived": true,
1342 "externalId": "string",
1343 "id": 0,
1344 "name": "string",
1345 "province": {
1346 "createdBy": "string",
1347 "lastModifiedBy": "string",
1348 "createdDate": "2019-08-24T14:15:22Z",
1349 "lastModifiedDate": "2019-08-24T14:15:22Z",
1350 "archived": true,
1351 "externalId": "string",
1352 "id": 0,
1353 "name": "string",
1354 "code": "string",
1355 "country": {
1356 "createdBy": "string",
1357 "lastModifiedBy": "string",
1358 "createdDate": "2019-08-24T14:15:22Z",
1359 "lastModifiedDate": "2019-08-24T14:15:22Z",
1360 "archived": true,
1361 "externalId": "string",
1362 "id": 0,
1363 "name": "string",
1364 "code": "string"
1365 },
1366 "provinceCountryKey": "string"
1367 },
1368 "cityProvinceCountryKey": "string"
1369 }
1370 },
1371 "cityId": 0,
1372 "districtId": 0
1373 }
1374 }
1375 ],
1376 "premises": [
1377 {
1378 "createdBy": "string",
1379 "lastModifiedBy": "string",
1380 "createdDate": "2019-08-24T14:15:22Z",
1381 "lastModifiedDate": "2019-08-24T14:15:22Z",
1382 "archived": true,
1383 "externalId": "string",
1384 "id": 0,
1385 "number": "string",
1386 "name": "string",
1387 "headPremise": true,
1388 "possessionDate": "2019-08-24",
1389 "openingDate": "2019-08-24",
1390 "closingDate": "2019-08-24",
1391 "relocationDate": "2019-08-24",
1392 "vacatingDate": "2019-08-24",
1393 "expansionDate": "2019-08-24",
1394 "statusId": 0,
1395 "usageId": 0,
1396 "parentPremiseId": 0,
1397 "costCenterId": 0,
1398 "profitCenterId": 0,
1399 "legalEntityId": 0,
1400 "occupancyIds": [
1401 0
1402 ],
1403 "locationId": 0,
1404 "locationDto": {
1405 "createdBy": "string",
1406 "lastModifiedBy": "string",
1407 "createdDate": "2019-08-24T14:15:22Z",
1408 "lastModifiedDate": "2019-08-24T14:15:22Z",
1409 "archived": true,
1410 "externalId": "string",
1411 "id": 0,
1412 "number": "string",
1413 "name": "string",
1414 "storeNumber": "string",
1415 "defaultCurrencyId": 0,
1416 "defaultMeasureId": 0,
1417 "typeId": 0,
1418 "qualityId": 0,
1419 "propertyTypeId": 0,
1420 "categoryId": 0,
1421 "statusId": 0,
1422 "businessUnitId": 0,
1423 "groupIds": [
1424 0
1425 ],
1426 "legalEntityIds": [
1427 0
1428 ],
1429 "defaultCurrency": {
1430 "id": 0,
1431 "status": "CREATED",
1432 "displayId": "string",
1433 "erpSystemId": 0,
1434 "erpSystemDisplayId": "string",
1435 "name": "string",
1436 "decimalPoints": 0,
1437 "depreciationAreaId": 0
1438 },
1439 "defaultUnitValue": {
1440 "createdBy": "string",
1441 "lastModifiedBy": "string",
1442 "createdDate": "2019-08-24T14:15:22Z",
1443 "lastModifiedDate": "2019-08-24T14:15:22Z",
1444 "archived": true,
1445 "externalId": "string",
1446 "id": 0,
1447 "unitId": 0,
1448 "unitOfMeasureId": 0,
1449 "erpSystemId": 0,
1450 "unit": {
1451 "createdBy": "string",
1452 "lastModifiedBy": "string",
1453 "createdDate": "2019-08-24T14:15:22Z",
1454 "lastModifiedDate": "2019-08-24T14:15:22Z",
1455 "archived": true,
1456 "externalId": "string",
1457 "id": 0,
1458 "priority": 0,
1459 "internalId": 0,
1460 "pickListCode": "string",
1461 "pickListLabel": "string",
1462 "label": "string",
1463 "cultureId": 0,
1464 "labelDtos": [
1465 {
1466 "createdBy": "string",
1467 "lastModifiedBy": "string",
1468 "createdDate": "2019-08-24T14:15:22Z",
1469 "lastModifiedDate": "2019-08-24T14:15:22Z",
1470 "archived": true,
1471 "externalId": "string",
1472 "id": 0,
1473 "cultureId": 0,
1474 "value": "string"
1475 }
1476 ]
1477 },
1478 "unitOfMeasure": {
1479 "id": 0,
1480 "status": "CREATED",
1481 "displayId": "string",
1482 "erpSystemId": 0,
1483 "erpSystemDisplayId": "string",
1484 "name": "string"
1485 }
1486 },
1487 "type": {
1488 "createdBy": "string",
1489 "lastModifiedBy": "string",
1490 "createdDate": "2019-08-24T14:15:22Z",
1491 "lastModifiedDate": "2019-08-24T14:15:22Z",
1492 "archived": true,
1493 "externalId": "string",
1494 "id": 0,
1495 "priority": 0,
1496 "internalId": 0,
1497 "pickListCode": "string",
1498 "pickListLabel": "string",
1499 "label": "string",
1500 "cultureId": 0,
1501 "labelDtos": [
1502 {
1503 "createdBy": "string",
1504 "lastModifiedBy": "string",
1505 "createdDate": "2019-08-24T14:15:22Z",
1506 "lastModifiedDate": "2019-08-24T14:15:22Z",
1507 "archived": true,
1508 "externalId": "string",
1509 "id": 0,
1510 "cultureId": 0,
1511 "value": "string"
1512 }
1513 ]
1514 },
1515 "quality": {
1516 "createdBy": "string",
1517 "lastModifiedBy": "string",
1518 "createdDate": "2019-08-24T14:15:22Z",
1519 "lastModifiedDate": "2019-08-24T14:15:22Z",
1520 "archived": true,
1521 "externalId": "string",
1522 "id": 0,
1523 "priority": 0,
1524 "internalId": 0,
1525 "pickListCode": "string",
1526 "pickListLabel": "string",
1527 "label": "string",
1528 "cultureId": 0,
1529 "labelDtos": [
1530 {
1531 "createdBy": "string",
1532 "lastModifiedBy": "string",
1533 "createdDate": "2019-08-24T14:15:22Z",
1534 "lastModifiedDate": "2019-08-24T14:15:22Z",
1535 "archived": true,
1536 "externalId": "string",
1537 "id": 0,
1538 "cultureId": 0,
1539 "value": "string"
1540 }
1541 ]
1542 },
1543 "propertyType": {
1544 "createdBy": "string",
1545 "lastModifiedBy": "string",
1546 "createdDate": "2019-08-24T14:15:22Z",
1547 "lastModifiedDate": "2019-08-24T14:15:22Z",
1548 "archived": true,
1549 "externalId": "string",
1550 "id": 0,
1551 "priority": 0,
1552 "internalId": 0,
1553 "pickListCode": "string",
1554 "pickListLabel": "string",
1555 "label": "string",
1556 "cultureId": 0,
1557 "labelDtos": [
1558 {
1559 "createdBy": "string",
1560 "lastModifiedBy": "string",
1561 "createdDate": "2019-08-24T14:15:22Z",
1562 "lastModifiedDate": "2019-08-24T14:15:22Z",
1563 "archived": true,
1564 "externalId": "string",
1565 "id": 0,
1566 "cultureId": 0,
1567 "value": "string"
1568 }
1569 ]
1570 },
1571 "category": {
1572 "createdBy": "string",
1573 "lastModifiedBy": "string",
1574 "createdDate": "2019-08-24T14:15:22Z",
1575 "lastModifiedDate": "2019-08-24T14:15:22Z",
1576 "archived": true,
1577 "externalId": "string",
1578 "id": 0,
1579 "priority": 0,
1580 "internalId": 0,
1581 "pickListCode": "string",
1582 "pickListLabel": "string",
1583 "label": "string",
1584 "cultureId": 0,
1585 "labelDtos": [
1586 {
1587 "createdBy": "string",
1588 "lastModifiedBy": "string",
1589 "createdDate": "2019-08-24T14:15:22Z",
1590 "lastModifiedDate": "2019-08-24T14:15:22Z",
1591 "archived": true,
1592 "externalId": "string",
1593 "id": 0,
1594 "cultureId": 0,
1595 "value": "string"
1596 }
1597 ]
1598 },
1599 "status": {
1600 "createdBy": "string",
1601 "lastModifiedBy": "string",
1602 "createdDate": "2019-08-24T14:15:22Z",
1603 "lastModifiedDate": "2019-08-24T14:15:22Z",
1604 "archived": true,
1605 "externalId": "string",
1606 "id": 0,
1607 "priority": 0,
1608 "internalId": 0,
1609 "pickListCode": "string",
1610 "pickListLabel": "string",
1611 "label": "string",
1612 "cultureId": 0,
1613 "labelDtos": [
1614 {
1615 "createdBy": "string",
1616 "lastModifiedBy": "string",
1617 "createdDate": "2019-08-24T14:15:22Z",
1618 "lastModifiedDate": "2019-08-24T14:15:22Z",
1619 "archived": true,
[...]
